<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
 
defined('_JEXEC') or die;

jimport('joomla.application.component.modellist');

jimport('joomla.application.component.helper');
 
class virtualclassroomModelteacher extends JModelList {

   
    public function __construct($config = array()) {
        parent::__construct($config);
		$option = JRequest::getVar('option');
		$app =  JFactory::getApplication();
        $limit  = $app->getUserStateFromRequest( 'global.list.limit', 'limit', $app->getCfg('list_limit'), 'int' );
        $limitstart = $app->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );

		$this -> setState('limit', $limit);
		// Set the limit variable for query later on
		$this -> setState('limitstart', $limitstart);
    } 
 function getPagination($total=0) {
	 
		 
			jimport('joomla.html.pagination');
			$this -> _pagination = new JPagination( $total, $this -> getState('limitstart'), $this -> getState('limit'));
 
	 

		return $this -> _pagination;
	}

   public function getTotal($sr=0) {
        $db = JFactory::getDBO();
        $user = JFactory::getUser();
        $app = JFactory::getApplication();
        $query = $db->getQuery(true); 
       
        if(!empty($sr))
        {
          $query->where('name like "%'.$sr.'%" or  username like "%'.$sr.'%"');
              
        } 
            // Join over the group mapping table.
            $query->select('count(*)')
                  ->from('#__users AS users');
                  
          $db->setQuery($query);
          $data = $db->loadResult();
        return $data;                   
    }
   public function Getusers($sr=''){
        $db = JFactory::getDBO();
       
		    $total = $this->getTotal($sr);
        if($this->getState('limit') > $total){ 
            $this->setState('limitstart', 0);
        }
        $query = $db->getQuery(true); 

        if(!empty($filter_order) && !empty($filter_order_Dir) )
        {
         $query->order($filter_order.' '.$filter_order_Dir);
        }             
        if(!empty($sr))
        {
          $query->where('name like "%'.$sr.'%" or  username like "%'.$sr.'%"');
              
        } 
            // Join over the group mapping table.
            $query->select('users.id,users.name,users.username,users.email,tchr.is_teacher')
                  ->from('#__users AS users')
                  ->join('LEFT', '#__virtualclassroom_teacher AS tchr ON tchr.user_id = users.id')
                  ->group('users.id');
                  
          $db->setQuery($query, $this->getState('limitstart'), $this->getState('limit'));
          $data = $db->loadAssocList();

        return $data;
        
   }
 
}
