<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class virtualclassroomViewadddiscount extends JViewLegacy
{
	 
	public function display($tpl = null)
	{
		 


		 
	 
		$task = JRequest::getVar('task');
		$cid = JRequest::getVar('cid');
		$class_id = JRequest::getVar('class_id');
		 
		$model = $this -> getModel('adddiscount');
		if($cid){
			$this ->discountdata = $model -> discountdata($cid,$class_id);
		}	
		$this ->getclass = $model -> classdata($class_id);
		
		 
		$this->CurrencySymbol = $this->getCurrencySymbol($this ->getclass[0]->currency);

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	 function getCurrencySymbol($currency) {
		 
		 switch(strtoupper($currency)){
			 	
				case "GBP":
					  return "£";
					  break;
				case "CAD":
					  return "$";
					  break;
				case "AUD":
					  return "$";
					  break;
				case "EUR":
					  return "€";
					  break;
				default:
					return '$';		
			 
		 }
	}

	protected function addToolbar()
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);

		$user		= JFactory::getUser();
		 
        if (isset($this->item->checked_out)) {
		    $checkedOut	= !($this->item->checked_out == 0 || $this->item->checked_out == $user->get('id'));
        } else {
            $checkedOut = false;
        }
		$canDo		= bcvcHelper::getActions();

		JToolBarHelper::title(JText::_('ADD_DISCOUNT'), 'discount.png');
		JToolBarHelper::back('Home',"index.php?option=com_virtualclassroom");
		// If not checked out, can save the item.
		if (!$checkedOut && ($canDo->get('core.edit')||($canDo->get('core.create'))))
		{

			JToolBarHelper::apply('adddiscount.apply1', 'JTOOLBAR_APPLY');
			JToolBarHelper::save('adddiscount.save', 'JTOOLBAR_SAVE');
		}
		 
		if (empty($this->item->id)) {
			JToolBarHelper::cancel('adddiscount.cancel1', 'JTOOLBAR_CANCEL');
		}
		else {
			JToolBarHelper::cancel('adddiscount.cancel1', 'JTOOLBAR_CLOSE');
		}

		

	}
}
