<?php
 
defined('_JEXEC') or die('Restricted access');

 JHTML::_('behavior.modal'); 
 if(JVERSION >= 3){
  $xml = JFactory::getXML(JPATH_SITE .'/administrator/components/com_virtualclassroom/virtualclassroom.xml');
  $version = (string)$xml->version;
}else{
  $parser = JFactory::getXMLParser('Simple');
  $xml = JPATH_SITE .'/administrator/components/com_virtualclassroom/virtualclassroom.xml';
  $parser->loadFile($xml);
  $doc = $parser->document;
  $element = $doc->getElementByPath('version');
  $version = $element->data();  
}
$bcvchelper_class = new bcvcHelper(); 
$component_info = $bcvchelper_class->getLatestVersion(); 
if($component_info->version && $version && $component_info->version > $version){
      $versionHTML = '<div class="alert alert-error" style="padding: 10px;">' .
                '<i class="icon-puzzle install"></i>' .
                JText::_('You have installed version') . ': ' . $version .
                '<br/>' .
                '<i class="icon icon-info"></i>' .
                JText::_("New version is available") . ': ' .
                '<span class="jticketing_latest_version_number">' .
                  $component_info->version .
                '</span>
                <br/>' .'
              </div>';
              echo $versionHTML;  
}
?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/virtualclassroom.css" type="text/css" />
<span class="version_latest"><?php echo JText::_('You are using the latest version of Virtual Classroom '.$version.'');?></span>
<table id="vc-panel" width="100%">
  <tr>
    <td valign="top" width="65%" style="padding: 10px;"><div class="cpanel">
      <ul class="g" id="vc-items">
        <li> <a href="index.php?option=com_virtualclassroom&amp;view=listclass"> <img width="32" src="../administrator/components/com_virtualclassroom/assets/images/integrations.png"> <span class="item-title"> <span><?php echo JText::_('CLASSES');?></span> </span> </a>
           
        </li>
         <li> <a href="index.php?option=com_virtualclassroom&amp;view=teacher"> <img width="32" src="../administrator/components/com_virtualclassroom/assets/images/users.png"> <span class="item-title"> <span><?php echo JText::_('TEACHERS');?></span> </span> </a>
         </li>  
         <?php  if(JVERSION >= 3) {?> 
        <li>
        <a class="btn btn-small" onclick="location.href='index.php?option=com_config&amp;view=component&amp;component=com_virtualclassroom';">
        <img width="32" src="../administrator/components/com_virtualclassroom/assets/images/integrations.png"> <span class="item-title"> <span><?php echo JText::_('BRAINCERT_CONFIGURATION');?></span> </span></a>
        </li>
        <?php }else{ ?>

        <li> <a rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}" href="index.php?option=com_config&amp;view=component&amp;component=com_virtualclassroom&amp;path=&amp;tmpl=component" class="modal"><img width="32" src="../administrator/components/com_virtualclassroom/assets/images/icon-conf.png"> <span class="item-title"> <span><?php echo JText::_('BRAINCERT_CONFIGURATION');?></span> </span> </a>
           
        </li>
        <?php } ?>

        

        <li> <a href="index.php?option=com_virtualclassroom&amp;view=payment"> <img width="32" src="../administrator/components/com_virtualclassroom/assets/images/payments.png"> <span class="item-title"> <span><?php echo JText::_('PAYMENTS');?></span> </span> </a>
         </li>

         <li> <a href="index.php?option=com_virtualclassroom&amp;view=permissions"> 
         <img width="32" src="../administrator/components/com_virtualclassroom/assets/images/user-32.png">
          <span class="item-title"><span><?php echo JText::_('PERMISSIONS');?></span></span></a>
         </li>
        
       
      </ul></td>
    <td valign="top" style="padding:10px 10px 10px 0;"><?php

    if(JVERSION >= 3) {

    $document =& JFactory::getDocument();
$style = 'dt.tabs h3 {
            float:left;
            margin-right: 10px;
        }
        div.current {
            clear: both;
        }';
$document->addStyleDeclaration( $style );

jimport( 'joomla.html.html.tabs' );
$options = array(
    'onActive' => 'function(title, description){
        description.setStyle("display", "block");
        title.addClass("open").removeClass("closed");
    }',
    'onBackground' => 'function(title, description){
        description.setStyle("display", "none");
        title.addClass("closed").removeClass("open");
    }',
    'startOffset' => 0,  // 0 starts on the first tab, 1 starts the second, etc...
    'useCookie' => true, // this must not be a string. Don't use quotes.
);
 
echo JHtml::_('tabs.start', 'tab_group_id', $options);
 
echo JHtml::_('tabs.panel', JText::_('About BrainCert'), 'panel_1_id');
echo '<div style="padding: 15px;"><p style="margin: 0;">BrainCert Virtual Classroom is tailor-made to deliver live classes, meetings, webinars, and conferences to audience anywhere!<br><br>
Schedule Live Classes, Collect Payments, Record Sessions - all from within your own website.<br><br>
If this is your first time here, we recommend you to <a href="https://www.braincert.com/app/virtualclassroom" target="_blank">signup for your API key </a> first.<br><br>

<a href="https://www.braincert.com" target="_blank">www.braincert.com</a>
</p></div>';
 
//echo JHtml::_('tabs.panel', JText::_('PANEL_2_TITLE'), 'panel_2_id');
//echo 'Panel 2 content can go here.';
 
echo JHtml::_('tabs.end');

}else{
JHTML::_('behavior.tooltip');
jimport('joomla.html.pane');


$pane = JPane::getInstance('sliders', array('allowAllClose' => true));
//sliders (or) tabs

echo $pane->startPane("menu-pane");

echo $pane->startPanel(JText :: _('About BrainCert'), "param-page");
echo '<div style="padding: 15px;"><p style="margin: 0;">BrainCert Virtual Classroom is tailor-made to deliver live classes, meetings, webinars, and conferences to audience anytime and anywhere!<br><br>
Schedule live classes, collect payments, record classes in HD - all from within your Joomla website.<br><br>
If this is your first time here, we recommend you to <a href="https://www.braincert.com/app/virtualclassroom" target="_blank">signup for your API</a> key first.<br><br>
<a href="https://www.braincert.com/developer/virtualclassroom-api" target="_blank">Read API documentation</a>
<br><br>
Visit us <a href="https://www.braincert.com" target="_blank">www.braincert.com</a>
</p></div>';
echo $pane->endPanel();

/*echo $pane->startPanel(JText :: _('Slider1 Title'), "param-page");
echo 'slider2 content here';
echo $pane->endPanel()*/;

echo $pane->endPane();
}
?>
    </td>
  </tr>
</table>
