<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
 
$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
 

$document= JFactory::getDocument();
//$document->addStyleSheet("components/com_virtualclassroom/assets/css/font-awesome.css");
 $model =  $this->getModel(); 
 $id=JRequest::getVar('cid');
 $lpreview =$model->learnerPreview($id);

?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/virtualclassroom.css" type="text/css" />
<!--<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap.min.css" />-->
    <h2><?php echo JText::_('LEARNER_PREVIEW');?></h2>
    <?php foreach($lpreview as $preview){ 
                if($preview['status'] == "Upcoming"){
                    $class = "alert alert-warning";
                }
                if($preview['status'] == "Past"){
                    $class = "alert alert-danger";
                }
                if($preview['status'] == "Live"){
                    $class = "alert alert-success";
                }
        ?> 
<div class="well">
        <h6>
            <span class="previewheading"><?php echo $preview['title'];?></span>
                <span style="margin-top:20px;width:20%;" class="<?php echo $class;?>">
                <?php echo $preview['status']; ?>
                </span>
            
        </h6>
            <br>
            <h6>
            <span class="previewheading" ><?php echo JText::_('DATE_AND_TIME');?></span>
            <?php  if($preview['status'] =='Upcoming' && !empty($preview['class_next_date'])) { ?>
            <i class="icon icon-calendar"></i> <?php echo date('Y-m-d', $preview['class_next_date']);
            }else { ?>
            <i class="fa fa-calendar"></i><?php echo $preview['date']; ?>
            <?php } ?>
            <i class="fa fa-clock-o"></i><?php echo $preview['start_time'];?>
          
            </h6>
            <br>
            <h6>
            <span class="previewheading" ><?php echo JText::_('SCHEDULE_TIME_ZONE');?> : </span>  <?php echo $preview['timezone_label'];?>
            </h6>
            <br>
            <h6>
            <span class="previewheading" ><?php echo JText::_('CLASS_DURATION');?> : </span><?php echo $preview['duration']/60;?>&nbsp;Minutes
            </h6>

    <?php }?>
</div>