<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

 
class virtualclassroomViewlistclass extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{

		$this->state		= $this->get('State');
		$jinput = JFactory::getApplication()->input;
		$app = JFactory::getApplication();
		$option = $jinput->get('option', '', '');
		$view = $jinput->get('view', '', '');
		$task = $jinput->get('task', '', '');
		//$this->items		= $this->get('Items');

		$this ->search    = JRequest::getVar('search');
		$this->pagination	= $this->get('Pagination');

		$model = $this -> getModel('listclass');
		if($task){
			switch($task) {
			    case "activeclass";
			    	$model -> activeclass();
			    break;
			    case "cancelclass";
			    	$model -> cancelclass();
			    break;
			    case "invite_by_email":
			       $data1=JRequest::get('post');
			       $res = $model->invite_by_email($data1);
			       if($res){
			       	 $msg="Mail send successfully";
			       }
			       $url = JURI::base() . "index.php?option=com_virtualclassroom&view=listclass";
				   $app -> redirect($url, $msg);
			    break;
			    case "get_groupsdata":
			       $res = $model->get_groupsdata();
			       if($res){
			       	 $msg="Mail send successfully";
			       }
			       $url = JURI::base() . "index.php?option=com_virtualclassroom&view=listclass";
				   $app -> redirect($url, $msg);
			    break;
			    
			    
			}
		}
		$this ->listclass = $model -> Getlistclass();
		$this ->pagination = $model -> getPagination($this ->listclass['total']);
		//echo '<pre>';print_r($this ->listclass);
		
		$this->addToolbar();
        
        $input = JFactory::getApplication()->input;
        $view = $input->getCmd('view', '');
        bcvcHelper::addSubmenu($view);
        
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{
		require_once JPATH_COMPONENT.'/helpers/bcvc.php';

		$state	= $this->get('State');
		$canDo	= bcvcHelper::getActions($state->get('filter.category_id'));

		JToolBarHelper::title(JText::_('CLASS_LIST'), 'class_list.png');
		JToolBarHelper::back('Home',"index.php?option=com_virtualclassroom");
        //Check if the form exists before showing the add/edit buttons
        $formPath = JPATH_COMPONENT_ADMINISTRATOR.'/views/schedule';

        $layout=JRequest::getVar('layout');
        if($layout !='invite_by_users' && $layout !='invite_by_email' && $layout !='invite_by_groups' && $layout !='learner_preview' && $layout !='instructor_preview' && $layout !='attendance_report'){

        if (file_exists($formPath)) {

            if ($canDo->get('core.create')) {
			    JToolBarHelper::addNew('schedule.add','JTOOLBAR_NEW');
		    }

		    if ($canDo->get('core.edit')) {
			    JToolBarHelper::editList('schedule.edit','JTOOLBAR_EDIT');
		    }

        }

		if ($canDo->get('core.edit.state')) {

            if (isset($this->items[0]->state)) {
			    JToolBarHelper::divider();
			    JToolBarHelper::custom('listclass.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
			    JToolBarHelper::custom('listclass.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
            } else if (isset($this->items[0])) {
                //If this component does not use state then show a direct delete button as we can not trash
                JToolBarHelper::deleteList('', 'listclass.delete1','JTOOLBAR_DELETE');
            }
 			JToolBarHelper::deleteList('', 'listclass.delete1','JTOOLBAR_DELETE');
            if (isset($this->items[0]->state)) {
			    JToolBarHelper::divider();
			    JToolBarHelper::archiveList('listclass.archive','JTOOLBAR_ARCHIVE');
            }
            if (isset($this->items[0]->checked_out)) {
            	JToolBarHelper::custom('listclass.checkin', 'checkin.png', 'checkin_f2.png', 'JTOOLBAR_CHECKIN', true);
            }
		}
        
        //Show trash and delete for components that uses the state field
        if (isset($this->items[0]->state)) {
		    if ($state->get('filter.state') == -2 && $canDo->get('core.delete')) {
			    JToolBarHelper::deleteList('', 'listclass.delete','JTOOLBAR_EMPTY_TRASH');
			    JToolBarHelper::divider();
		    } else if ($canDo->get('core.edit.state')) {
			    JToolBarHelper::trash('listclass.trash','JTOOLBAR_TRASH');
			    JToolBarHelper::divider();
		    }
        }
    }

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_virtualclassroom');
		}


	}
}
