<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', false, true);
 

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
jimport('joomla.form.form');
JForm::addFormPath(JPATH_COMPONENT . '/models/forms');

$class_id = JRequest::getVar('class_id');
 
?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/virtualclassroom.css" type="text/css" />
<form action="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=listprice&class_id='.$class_id); ?>" method="post" name="adminForm" id="adminForm">
    
    <div class="clr"> </div>

    <table class="adminlist table table-striped">
        <thead>
            <tr>
                <th width="1%">
                    <input type="checkbox" name="checkall-toggle" value="" onclick="Joomla.checkAll(this)" />
                </th>
                <th class="left">
                    <?php echo JText::_('PRICE_ID');?>
                    
                </th>
                <th class="left">
                    <?php echo JText::_('PRICE');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('PRICE_SCHEME_DAYS');?>
                    
                </th>
                <th class="left">
                    <?php echo JText::_('PRICE_LIFETIME');?>
                    
                </th>
                <th class="left">
                    <?php echo JText::_('PRICE_TIMES');?>
                   
                </th>
                <th class="left">
                    <?php echo JText::_('PRICE_NUMBERTIMES');?>
                    
                </th>
            </tr>
        </thead>
        <tfoot>
             
            <tr>
                <td colspan="7">
                    <?php //echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
        <tbody>
            <?php

            $data = $this->listprice;
             if(@$data['0']){
            foreach ($data as $i => $item) {
                $ordering = ($listOrder == 'a.ordering');
                $canCreate = $user->authorise('core.create', 'com_virtualclassroom');
                $canEdit = $user->authorise('core.edit', 'com_virtualclassroom');
                $canCheckin = $user->authorise('core.manage', 'com_virtualclassroom');
                $canChange = $user->authorise('core.edit.state', 'com_virtualclassroom');
                ?>
                <tr class="row<?php echo $i % 2; ?>">
                    <td class="center">
                        <?php echo JHtml::_('grid.id', $i, $item['id']); ?>
                    </td>
                    <td class="center">
                        <?php echo $item['id']; ?>
                    </td>
                     <td class="center">
                        <?php echo $item['scheme_price']; ?>
                    </td>
                     <td class="center">
                        <?php echo $item['scheme_days'] ; ?>
                    </td>
                     <td class="center">

                        <?php
                                    if ($item['lifetime'] == "1") {
                                        echo "Unlimited";
                                    } elseif ($item['lifetime'] == "0") {
                                        echo "Fix Day";
                                    }
                                    ?>
                    </td>
                    <td class="center">
                        <?php if($item['times'] == 0){
                           $times = JText::_('UNLIMITED');
                        }
                        if($item['times'] == 1){
                           $times = JText::_('LIMITED');
                        }
                        ?>
                        <?php echo $times; ?>
                    </td>
                    
                    <td class="center">
                        <?php echo $item['numbertimes'] ; ?>
                    </td>
                     
                </tr>
            <?php } ?>
            <?php  } ?>
        </tbody>
    </table>

    <div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="class_id" value="<?php echo $class_id; ?>" />
         
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>