<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Myevent.
 */
class virtualclassroomViewrecordings extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
		$this->state		= $this->get('State');
		//$this->items		= $this->get('Items');
		//$this->pagination	= $this->get('Pagination');
		$model = $this -> getModel('recordings');
		$this ->search    = JRequest::getVar('search');
		$this ->recordings = $model -> Getrecordings();
		//print_r($this ->listprice);
	 
		
		$this->addToolbar();
        
        $input = JFactory::getApplication()->input;
        $view = $input->getCmd('view', '');
        bcvcHelper::addSubmenu($view);
        
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{
		require_once JPATH_COMPONENT.'/helpers/bcvc.php';

		$state	= $this->get('State');
		$canDo	= bcvcHelper::getActions($state->get('filter.category_id'));

		if(JRequest::getVar('layout') == 'viewrecording'){
			JToolBarHelper::title(JText::_('View Recordings'), 'record.png');
			JToolBarHelper::back('Home',"index.php?option=com_virtualclassroom");
		}else{
		JToolBarHelper::title(JText::_('CLASS_RECORDINGS'), 'record.png');
		JToolBarHelper::back('Home',"index.php?option=com_virtualclassroom");
        //Check if the form exists before showing the add/edit buttons
        $formPath = JPATH_COMPONENT_ADMINISTRATOR.'/views/schedule';
       
		if ($canDo->get('core.edit.state')) {

            
 			JToolBarHelper::deleteList('', 'recordings.delete1','JTOOLBAR_DELETE');
        
		}
        
        //Show trash and delete for components that uses the state field
        if (isset($this->items[0]->state)) {
		    if ($state->get('filter.state') == -2 && $canDo->get('core.delete')) {
			    JToolBarHelper::deleteList('', 'recordings.delete','JTOOLBAR_EMPTY_TRASH');
			    JToolBarHelper::divider();
		    } else if ($canDo->get('core.edit.state')) {
			    JToolBarHelper::trash('recordings.trash','JTOOLBAR_TRASH');
			    JToolBarHelper::divider();
		    }
        }
    }
		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_virtualclassroom');
		}


	}
}
