<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

// Load the tooltip behavior.
JHtml::_('behavior.tooltip');

//$canDo = UsersHelper::getActions();
$listOrder  = $this->state->get('list.ordering');
$listDirn   = $this->state->get('list.direction');
$loggeduser = JFactory::getUser();

$option = JRequest::getVar('option');
$view = JRequest::getVar('view');
$id = JRequest::getVar('id');



?>
<link rel="stylesheet" 
href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/virtualclassroom.css" type="text/css" />
<form action="index.php?option=<?php echo $option;?>&view=<?php echo $view; ?>" method="post" name="adminForm">
  <table>
    <tr>
      <td width="100%">
            <label class="filter-search-lbl" for="filter_search"><?php echo JText::_('SEARCH_USERS'); ?></label>:
            <input type="text" title="Filter by Title or enter an Article ID" onchange="document.adminForm.submit();" class="text_area" value="<?php echo $this->search?>" id="search" name="search">
            <button onclick="this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
            <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_sectionid').value='-1';this.form.getElementById('catid').value='0';this.form.getElementById('filter_authorid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_('JSEARCH_RESET'); ?></button>
      </td>
    </tr>
  </table>
  
  <table class="adminlist table table-striped" style="border-top:1px solid #CCCCCC;"> 
    <thead>
      <tr>
          <th width="5"><input type="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)" /></th>
          <th><?php echo JText::_('NAME');?></th>
          <th><?php echo JText::_('USER_NAME'); ?></th>
          <th><?php echo JText::_('EMAIL'); ?></th>
          <th><?php echo JText::_('IS_TEACHER'); ?></th>
      </tr>
    </thead>
    <tfoot>
            <tr>
                <td colspan="15">
                    <?php echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
        
    <tbody>
    
    
    <?php 
    
    foreach($this ->users as $i =>$Value) {
        

          
    ?>
        <tr class="row<?php echo $i % 2; ?>">  
          <td align='center'>
          <?php echo JHtml::_('grid.id', $i, $Value['id']); ?>
          </td>
          <td align='center'><?php echo $Value['name']; ?></td>
          <td align='center'><?php echo $Value['username']; ?></td>
          <td align='center'><?php echo $Value['email']; ?></td>
          <td align='center'>
          
             <?php if($Value['is_teacher'] == 1) {?>
                        <span class="hasTip" title="Remove User">
                        <a href="index.php?option=com_virtualclassroom&task=unpublishuser&cid[]=<?php echo $Value['id']?>" class=""><img src="../administrator/components/com_virtualclassroom/assets/images/tick.png" alt="Tooltip"></a>
                        </span>
                        <?php } else{ ?>
                        <span class="hasTip" title="Make User">
                        <a href="index.php?option=com_virtualclassroom&task=publishuser&cid[]=<?php echo $Value['id']?>" class=""><img src="../administrator/components/com_virtualclassroom/assets/images/publish_x.png" alt="Tooltip"></a>
                        </span>
                        
                        <?php } ?>
                        
          </td>          
        </tr>
    <?php }
    if(!$this->users){
    ?>
        <tr>
          <td colspan="7" align="center"><?php echo JText::_('NO_RECORD'); ?></td>
        </tr>
    <?php
    }
    ?>
      
    </tbody>

  </table>
<input type="hidden" name="option" value="<?php echo $option;?>" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
<input type="hidden" name="task" value="" />

<?php if(isset($id) && $id <> ''){ ?>
<input type="text" name="id" value="<?php echo $id; ?>" />
<?php } ?>
</form>