<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

 
class virtualclassroomHelper
{
	 
	  function vlcr_get_curl_info($data){
	      $key = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_api_key');
     	  $base_url = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_base_url');

	      $data['apikey'] = $key;
	      $data_string = http_build_query($data);
	      $ch = curl_init($base_url);
          curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
	      curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
	      curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	      curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false); 
	      curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	      $result = curl_exec($ch);
          if($data['task']=="validatecoupon"){
            return $result;
          }
	      $final_result = json_decode($result, TRUE); 
	      return $final_result;
    }
    public function isteacher(){
        $db = JFactory::getDBO();
        $query = $db -> getQuery(true);
        $user = JFactory::getUser();
        $query -> select('is_teacher') -> from('#__virtualclassroom_teacher') -> where('user_id='.$user->id);
        $db -> setQuery($query);
        $db -> query();
        return $db -> loadResult();
    }
    public function classdetail($id){
        $data['task'] = 'getclass';
        $data['class_id'] = $id;
        $result = virtualclassroomHelper::vlcr_get_curl_info($data);
        return $result;
    }
	 
 
}
