<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website     https://www.braincert.com
 * @author      BrainCert
 */
 
defined('_JEXEC') or die;

jimport('joomla.application.component.modellist');

jimport('joomla.application.component.helper');
class virtualclassroomModelattendance_report extends JModelList {

   
    public function __construct($config = array()) {
        parent::__construct($config);
         
        $app =  JFactory::getApplication();
        $limit = $app -> getUserStateFromRequest('vc.list.limit', 'limit', $app -> getCfg('list_limit'), 'int');
        $limitstart = $app -> getUserStateFromRequest('vc' . '.limitstart', 'limitstart', 0, 'int');

        $this -> setState('limit', $limit);
        // Set the limit variable for query later on
        $this -> setState('limitstart', $limitstart);
    } 
    public function Getlistclass(){
        $db = JFactory::getDBO();
        $search    = JRequest::getVar('search');
        $data['limitstart'] = $this -> getState('limitstart');
        $data['limit'] = $this -> getState('limit');
        $data['search'] = $search;
        $data['task'] = 'listclass';
        $result = virtualclassroomHelper::vlcr_get_curl_info($data);
        return $result;
      
   }
   public function attendanceReport($id){
        $data['task'] = 'getclassreport';
        $data['classId'] = $id;
        $result = virtualclassroomHelper::vlcr_get_curl_info($data);
        return $result; 
    }
    public function learnerPreview($id){
        $data['task'] = 'getclass';
        $data['class_id'] = $id;
        $result = virtualclassroomHelper::vlcr_get_curl_info($data);
        return $result;
    }
    
    public function userlist(){
            $db =& JFactory::getDBO();
            $query = "SELECT * FROM #__users" ;
            $db->setQuery($query);
            return $rows = $db->loadObjectList();
    }
    public function getUserDeail($id){
            $db =& JFactory::getDBO();
            $query = "SELECT * FROM `#__users` WHERE `id`=".$id ;
            $db->setQuery($query);
            return $rows = $db->loadObject();
    }

    public function usergrouplist(){
           $db =& JFactory::getDBO();
            $query = "SELECT `id`,`title` FROM #__usergroups" ;
            $db->setQuery($query);
            return $rows = $db->loadObjectList();
    }
}
