<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.application.component.modeladmin');
 
class virtualclassroomModelschedule extends JModelAdmin
{
    public function __construct($config = array()) {
        parent::__construct($config);
    }
	public function getForm($data = array(), $loadData = true)
	{
	 
	}
    function vlcr_timezoneList(){
      $data1['task'] = 'getTimezoneList';
      $result_data = virtualclassroomHelper::vlcr_get_curl_info($data1);
      return $result_data;
     }
	public function saveschedule(){
        
        $data = $_REQUEST;

        $data['task'] = 'schedule';
        $data['weekdays'] = implode(',', $data['weekdays']);

        if($data['record'] == '1' && $data['start_recording_auto'] == '2'){
            $data['record'] = '2';
        }

        if(($data['record'] == '1' || $data['record']==2) && $data['isControlRecording'] == '0'){
            $data['record'] = '3';
        }

        if($data['allow_change_interface_language']==0){
            $data['isLang']=$data['language'];
        }else{
            $data['isLang']=11;
        }


        if($data['location_id']){
            $data['isRegion'] = $data['location_id'] ;
        }

        if($data['location']){
            $data['isRegion'] = $data['location'] ;
        }   

        $data['isBoard']=$data['classroom_type'];
        
        unset($data['location_id']);
        unset($data['location']);
        unset($data['start_recording_auto']);
        unset($data['allow_change_interface_language']);
        unset($data['classroom_type']);
        unset($data['language']);


        unset($data['view']);
        unset($data['option']);
        $result_data = (object)virtualclassroomHelper::vlcr_get_curl_info($data); 
        
        if($result_data->status == 'error'){
            $session = JFactory::getSession();
            $session->set('error', $result_data->status);
            $session->set('title', $data['title']);
            $session->set('date', $data['date']);
            $session->set('start_time', $data['start_time']);
            $session->set('end_time', $data['end_time']);
            $session->set('description', $data['description']);
            $session->set('is_recurring', $data['is_recurring']);
            $session->set('timezone',$data['timezone']);
            $session->set('repeat',$data['repeat']);
            $session->set('end_classes_count',$data['end_classes_count']);
            $session->set('end_date',$data['end_date']);
            $session->set('record',$data['record']);
            $session->set('ispaid',$data['ispaid']);
             $session->set('seat_attendees',$data['seat_attendees']);
            
            $input = JFactory::getApplication()->input;
            
            $app = JFactory::getApplication();
            $msg = $result_data->error;
            $app -> redirect('index.php?option=com_virtualclassroom&view=schedule&cid='.$data['cid'].'&layout=edit',$msg);
        }
        
        if(strtolower($result_data->status) == 'ok'){
            
            $app = JFactory::getApplication();
            $msg = "Class added successfully";
            $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);
        }
         
         
    }
    public function isteacher(){
        
        $db = JFactory::getDBO();
        $query = $db -> getQuery(true);
        $user = JFactory::getUser();
        $query -> select('is_teacher') -> from('#__virtualclassroom_teacher') -> where('user_id='.$user->id);

        $db -> setQuery($query);

        $db -> query();

        return $db -> loadResult();
        
    }
	public function getinstructoruserlist(){
		$db = JFactory::getDbo();
		$query = $db -> getQuery(true);
		$query -> select('u.*');
		$query -> from('#__users u');
		$db -> setQuery($query);
		$userlist  = $db -> loadAssocList();
		return $userlist;
	}
	public function getinstructorname($id){
		if($id){
			$db = JFactory::getDbo();
			$query = $db -> getQuery(true);
			$query -> select('name');
			$query -> from('#__users');
			$query -> where('id='.$id);
			$db -> setQuery($query);
			$name  = $db -> loadResult();
			return $name;	
		}else{
			return false;
		}
	}
	public function getplan(){
		$data['task'] = 'getplan';
		$result = virtualclassroomHelper::vlcr_get_curl_info($data);
		return $result;
	}
	public function classdata($classid){
		$data['class_id'] = $classid;
		$data['task'] = 'getclass';
		$result = virtualclassroomHelper::vlcr_get_curl_info($data);
		return $result;
	}
	public function get_vlcr_getservers(){
	  $data['task'] ='getservers';
      $result = virtualclassroomHelper::vlcr_get_curl_info($data);
      return $result;
	}
}