<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
 
$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
$document= JFactory::getDocument();
//$document->addStyleSheet("components/com_virtualclassroom/assets/css/font-awesome.css");
$model =  $this->getModel(); 
$id=JRequest::getVar('cid');
$attendancereport =$model->attendanceReport($id);
$class_detail =$model->learnerPreview($id);
$class_duration_min = round($class_detail[0]['duration'] / 60);

$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$class_detail[0]['created_by'] || $user->id ==$class_detail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}
?>
</style>
<div>
   <h2><?php echo JText::_('ATTENDANCE_REPORT');?></h2>

    <?php    if($attendancereport['Report']){
        echo '<div class="alert alert-danger">'.$attendancereport['Report'].'</div>';
        return;
    } 
    if(isset($attendancereport['status']) && $attendancereport['status']=='error'){
        echo '<div class="alert alert-danger">'.$attendancereport['error'].'</div>';
        return;
    }
    if(!isset($attendancereport['0']['classId'])){
        echo '<div class="alert alert-danger">No record found</div>';
        return;
    }
    ?>
    <?php if(count($attendancereport)>0){ ?>
        <div id="container" style="width: 100%;">
        <canvas id="myChart" width="400" height="400"></canvas>
    </div>
    <?php }?>
<table class="table table-striped"> 
    <thead> 
        <tr class="filters"> 
        <th style="width: 2%">ID</th> 
            <th style="width: 20%"><?php echo JText::_('NAME');?></th> 
            <th style="width: 18%"><?php echo JText::_('CLASS_DURATION');?></th>
            <th style="width: 15%"><?php echo JText::_('TIME_IN');?></th> 
            <th style="width: 15%"><?php echo JText::_('TIME_OUT');?></th>
            <th style="width: 15%"><?php echo JText::_('ATTENDENCE');?></th> 
        </tr>
     </thead> 
 <tbody> 
 <?php 
 $i=1;
 $grapharray_teacher = array();
 foreach($attendancereport as $data){ 
    if($data['userId'] !=0){
      $user = $model->getUserDeail($data['userId']);
    }
    $spent_time = strtotime($data['duration']) - strtotime('TODAY');
    $grapharray_teacher[$i]->spent_time= intval($spent_time / 60);
    $grapharray_teacher[$i]->email= $user->email;
    ?>
 <tr> 
    <td width="5%"><b><?php echo $i;?></b></td> 
    <td>
    <?php if($data['userId'] !=0){ ?>
    <b><?php echo $user->username;?></b><br><span style="font-size: 12px;">(<?php echo $user->email;?>)</span> <?php } ?></td> 
    <td><?php echo $data['duration']."(".$data['percentage'].")";?> </td> 
    <td style="font-size: 13px;">
        <?php
        $spent_time='';
        foreach ($data['session'] as $time) {

         $start_time_str = strtotime(str_replace('&nbsp;', ' ', $time['time_in']));
         $end_time_str = strtotime(str_replace('&nbsp;', ' ', $time['time_out'])); 

          $start_time .= '<i class="fa fa-calendar"></i> '.date('M j, Y',$start_time_str).'&nbsp;<br><i class="fa fa-clock-o"></i> '.date('h:i:s A',$start_time_str).'<br>';

          $end_time .= '<i class="fa fa-calendar"></i> '.date('M j, Y',$end_time_str).'&nbsp;<br><i class="fa fa-clock-o"></i> '.date('h:i:s A',$end_time_str).'<br>';

          $differenceInSeconds = $end_time_str - $start_time_str;

          $spent_time = $spent_time + $differenceInSeconds;

          ?>
                <i class="icon icon-calendar"></i>  <?php echo $time['time_in'];?><br>
        <?php } ?>
    </td>

    <td style="font-size: 13px;">
        <?php foreach ($data['session'] as $time) { ?>
                <i class="icon icon-calendar"></i>  <?php echo $time['time_out'];?><br>
        <?php } ?>
    </td>
        
    <td><span class="label label-success"><i class="fa fa-ok"></i> <?php echo $data['attendance'];?></span></td> 
 </tr> 
 <?php $i++; } ?>
</tbody> 
</table> 
</div>
<?php $count = round( $class_duration_min / 5);?>
    <script src="administrator/components/com_virtualclassroom/assets/js/vlcr.chart.bundle.js"></script> 
    <style>
    canvas {
        -moz-user-select: none;
        -webkit-user-select: none;
        -ms-user-select: none;
         
    }
    </style>
   
   <?php 
   $color_array = array("#ce0704", "#0315ab", "#7d2020","#8e116b","#43118e","#114d8e","#118e79","#118e17","#568e11","#8e5e11","#420807","#9bb995","#3a1b00");
   ?>
   
<script>
var ctx = document.getElementById("myChart").getContext('2d');
var barChartData = {
            labels: [<?php for ($i = 1; $i < $count; $i++) {?>'<?php echo $i*5;?>-<?php echo $i*5+5;?>'<?php if($i!=$count){ ?>,<?php }} ?>],
            datasets: [

            <?php
             foreach ($grapharray_teacher as $key => $value){ 
              $spenttime = floor($value->spent_time / 5);
              ?>
            {
                label: "<?php echo $value->email;?>",
                backgroundColor: '<?php echo $color_array[$key]?>',
                borderColor: '<?php echo $color_array[$key]?>',
                borderWidth: 1,
                data: [
                    <?php for ($i = 1; $i < $count; $i++){?><?php echo ($i==$spenttime) ? $value->spent_time : '""';?><?php if($i!=$count){?>,<?php }?><?php } ?>
                ]
            },
        <?php
         } ?>
         ]

        };
var myChart = new Chart(ctx, {
    type: 'bar',
    data: barChartData,

    options: {
        width:500,
        height:300,
        scaleShowGridLines: false,
        showScale: false,
        maintainAspectRatio: this.maintainAspectRatio,
        barShowStroke: false,
        responsive: true,
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true
                }
            }]
        }
    }
});
</script>