<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
 
$user = JFactory::getUser();
$document= JFactory::getDocument();
//$document->addStyleSheet("components/com_virtualclassroom/assets/css/font-awesome.css");
$model =  $this->getModel(); 
$id=JRequest::getVar('cid');
$groups =$model->usergrouplist();

$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
$classdetail = virtualclassroomHelper::classdetail($id);
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}
?>
<?php  if(JVERSION < 3) {?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" type="text/css" />
<?php } ?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/vlcr_style.css" type="text/css" />
<div>
     <h2><?php echo JText::_('Invite User Group');?></h2>
    <form name="inviteusr" method="post" action="" id="vlrc_inviteusrform">
            <table class="adminlist table table-striped">
            <thead>
            <tr>
                <th style="width: 10%;">#</th>
                <th><?php echo JText::_('NAME');?></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach($groups as $group){ ?>
            <tr>
                <td>
                <input type='checkbox' name='gid[]' value='<?php echo $group->id;?>' />
                </td>

                <td>
                <?php echo $group->title;?>
                </td>
             
            </tr>
            <?php } ?>
            <tr>
            <td colspan="2">
                <input type="hidden" name="id" value="<?php echo $id;?>">
                <input type="hidden" name="option" value="com_virtualclassroom">
                <input type="hidden" name="view" value="invite_by_groups">
                <input type="hidden" name="task" value="get_groupsdata">
                <input id="save" type="submit" class="btn btn-primary" value="Save Changes" name="inviteuser"></td></tr>
            <tbody>
            </table>
    </form>
</div>
