<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', false, true);
 

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
$class_id = JRequest::getVar('class_id');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_virtualclassroom/assets/css/vlcr_style.css'); 

$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
$classdetail = virtualclassroomHelper::classdetail($class_id);
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}

?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/administrator/components/com_virtualclassroom/assets/css/font-awesome.css" type="text/css" />
<?php  if(JVERSION < 3) {?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" type="text/css" />
<?php } ?>
<a href="index.php?option=com_virtualclassroom&view=adddiscount&class_id=<?php echo $class_id?>" class="btn btn-primary" style="margin-bottom: 10px;">Add Discount</a>
<form action="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=listdiscount&class_id='.$class_id); ?>" method="post" name="adminForm" id="adminForm">
    
    <div class="clr"> </div>
    <table>
    <tr>
      <td width="100%">
            <label class="filter-search-lbl" for="filter_search" style="display: inline-block;vertical-align: middle;">Filter</label>:
            <input type="text" title="Filter by Title" class="text_area" value="<?php echo $this ->search;?>" id="search" name="search" style="margin: 0;vertical-align: middle;">
            <button onclick="this.form.submit();"><?php echo JText::_('GO'); ?></button>
            <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_sectionid').value='-1';this.form.getElementById('catid').value='0';this.form.getElementById('filter_authorid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_('RESET'); ?></button>
      </td>
      
    </tr>
  </table>
    <table class="adminlist table table-striped discount_list">
        <thead>
            <tr>
                <th><?php echo JText::_('DISCOUNT_ID');?></th>
                <th><?php echo JText::_('DISCOUNT');?></th>
                <th><?php echo JText::_('DISCOUNT_CODE');?></th>
                <th><?php echo JText::_('DISCOUNT_TYPE');?></th>
                <th><?php echo JText::_('DISCOUNT_START_DATE');?></th>
                <th><?php echo JText::_('DISCOUNT_END_DATE');?></th>
                <th><?php echo JText::_('options');?></th>
            </tr>
        </thead>
        <tfoot>
             
            <tr>
                <td colspan="8">
                    <?php //echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
        <tbody>
            <?php

            $data = $this->listdiscount;
            if(@$data['0']){
            foreach ($data as $i => $item) {
                $ordering = ($listOrder == 'a.ordering');
                $canCreate = $user->authorise('core.create', 'com_virtualclassroom');
                $canEdit = $user->authorise('core.edit', 'com_virtualclassroom');
                $canCheckin = $user->authorise('core.manage', 'com_virtualclassroom');
                $canChange = $user->authorise('core.edit.state', 'com_virtualclassroom');
                ?>
                <tr class="row<?php echo $i % 2; ?>">
                    <td class="center">
                        <?php echo JHtml::_('grid.id', $i, $item['id']); ?>
                    </td>
                    <td class="center">
                        <?php echo $item['id']; ?>
                    </td>
                     <td class="center">
                        <?php echo $item['special_price']; ?>
                    </td>
                     <td class="center">
                        <?php echo $item['discount_code'] ; ?>
                    </td>
                     <td class="center">
                        <?php if($item['discount_type'] == "fixed_amount"){
                            $discount_type =  JText::_('FIXED_AMT');
                        }
                        if($item['discount_type'] == "percentage"){
                         $discount_type =  JText::_('PERCENTAGE');   
                        }
                        ?>
                        <?php echo $discount_type; ?>
                    </td>
                    <td class="center">
                        <?php echo date("F j, Y", strtotime($item['start_date']));?>
                    </td>
                    
                    <td class="center">
                        <?php if($item['end_date'] == '' || $item['end_date']=='0000-00-00 00:00:00'){echo 'Unlimited';}else{echo date("F j, Y", strtotime($item['end_date']));} ?>
                    </td>
                    <td class="center">
                        <a href="index.php?option=com_virtualclassroom&view=adddiscount&class_id=<?php echo $class_id?>&cid=<?php echo $item['id'];?>"><i class="fa fa-edit"></i></a>
                        <a href="index.php?option=com_virtualclassroom&view=listdiscount&task=delete&class_id=<?php echo $class_id?>&cid=<?php echo $item['id'];?>"><i class="fa fa-trash"></i></a>
                    </td>
                </tr>
            <?php } ?>
            <?php  } ?>
        </tbody>
    </table>

    <div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="class_id" value="<?php echo $class_id; ?>" />
         
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>