<?php

defined('_JEXEC') or die;
$document= JFactory::getDocument();
$document->addStyleSheet("administrator/components/com_virtualclassroom/assets/css/vlcr_video-js.css");
$document->addScript("administrator/components/com_virtualclassroom/assets/js/vlcr_video.js");

$user = JFactory::getUser();
$class_id = JRequest::getVar('class_id');
$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
$classdetail = virtualclassroomHelper::classdetail($class_id);
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}

echo "<h3>". JText::_('VIEW_RECORDINGS')."</h3>";
//how many items to show per page
$result=$this ->recordings;
if(!isset($result['0']['id'])){ 
    echo "<h2>".$result['Recording']."</h2>";return;
}
 ?>
<div class="video-area">
  <div class="video-list-area">
    <h4>Recordings List : </h4>
    <select name="videourl" id="videourl">
<?php

foreach ($result as $i => $value) { 
    ?>
    <option value="<?php echo $value['record_path']; ?>"><?php echo $value['fname'] ? $value['fname'] : JText::_('RECORDING').' - '.$i;?></option>

<?php } ?>
 </select>
  </div>


<video
    id="my-video"
    class="video-js vjs-default-skin"
    controls
    width="800" height="350"
     style="width: 100%">
</video>
</div>

    
<script type="text/javascript">


 (function ($) {
        $(document).ready(function () {
            var videourl = jQuery('#videourl').val();
            var player = videojs('my-video', {
                controls: true,
                sources: [{src: videourl, type: 'video/mp4'}],
                techOrder: ['youtube', 'html5']
            });


            $('#videourl').on('change', function () {
               var videourl = jQuery('#videourl').val();
                var sources = [{"type": "video/mp4", "src": videourl}];
                player.pause();
                player.src(sources);
                player.load();
                player.play();

            });


        });
    })(jQuery);

</script>