<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Myevent.
 */
class virtualclassroomViewrecordings extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
		$this->state		= $this->get('State');
		$model = $this -> getModel('recordings');
		$this ->search    = JRequest::getVar('search');
		$this ->recordings = $model -> Getrecordings();
		$task = JRequest::getVar("task");
		if($task){
			switch($task) {
			    case "downloadRecord":
			       $model->downloadRecord();
			    break;
			    case "delete":
			       $model->delete();
			    break;
			    
			}
		}
		parent::display($tpl);
	}
}
