<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website     https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

// Import CSS
if(JVERSION > 3) { 
    JHtml::_('jquery.ui');
}
$document = JFactory::getDocument();
$document->addStyleSheet('administrator/components/com_virtualclassroom/assets/css/virtualclassroom.css');
$document->addStyleSheet('components/com_virtualclassroom/assets/css/vlcr_style.css');
$cid = JRequest::getVar('cid');
$input = JFactory::getApplication()->input;
$post_array = $input->getArray($_POST);
$base_url = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_base_url');
$is_schedule_class = JComponentHelper::getParams('com_virtualclassroom')->get('is_schedule_class');
$this->getplan = (object)$this->getplan;
$getservers = $this->vlcr_getservers;
$user   = JFactory::getUser();
$model = $this->getModel("schedule");
$isteacher = $model->isteacher(); 

$timezoneList = (object)$model->vlcr_timezoneList();
$user = JFactory::getUser();
$isroot = $user->authorise('core.admin');
$session = JFactory::getSession();
$session_error = $session->get('error');

$session_title = '';
$session_date = '';
$session_start_time = '';
$session_end_time = '';
$session_is_recurring = '';
$session_timezone = '';
$session_repeat = '';
$session_end_classes_count = '';
$session_end_date = '';
$session_record = '';
$session_ispaid = '';
$session_seat_attendees = '';
 if($session_error == 'error'){
    $session_title = $session->get('title');
    $session_date = $session->get('date');
    $session_start_time = $session->get('start_time');
    $session_end_time = $session->get('end_time');

    $session_is_recurring = $session->get('is_recurring');
    $session_timezone = $session->get('timezone');
    $session_repeat = $session->get('repeat');
    $session_end_classes_count = $session->get('end_classes_count');
    $session_end_date = $session->get('end_date');
    $session_record = $session->get('record');
    $session_ispaid = $session->get('ispaid');
    $session_seat_attendees = $session->get('seat_attendees');
}
 $this ->classdata[0] = (object)$this ->classdata[0];
 if(@$this ->classdata[0]->end_date == '0000-00-00'){
    @$this ->classdata[0]->end_date = '';
 }

    if($this->instructor_name==""){
        $this->instructor_name = $user->name;
    }

    $app = JFactory::getApplication();
    if($is_schedule_class==0 || ($is_schedule_class==1 && $isteacher==0 && $isroot==0) ){
        $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);
    }
    if ($user->guest) {
        $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
    }
    if($cid){
        $is_access=0;
        if($user->id ==$this ->classdata[0]->created_by || $user->id ==$this ->classdata[0]->instructor_id || $isroot==1){
            $is_access=1;
        }
        if($is_access==0){
            $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
        }
    }

?>
<style type="text/css">
    .com_virtualclassroom .ui-widget-header .ui-icon{
        background-image : url("<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/images/ui-icons_454545_256x240.png");
    }
    #content{
        box-shadow: 0 0 10px 3px !important;
        padding: 12px !important;
        border-radius: 5px !important;
    }
    /* #schedule_class{
    width: 50%;
    margin-left: 12rem;
    background: #000000d1;
    height: 2.3rem;
    font-weight: 700;
} */
    #location_id, #title, #datepicker, #timezone, #myTags{
        width: 666px !important;
        height: 45px !important;
    }
    @media(max-width: 768px){
     #location_id, #title, #datepicker, #timezone, #myTags{
        width: 497px !important;
     }
    }
    @media(max-width: 425px){
     #content
     {
         width: 24rem;
         margin-bottom: 35px;
     }
     #mceu_63-body
     {
        display: flex;
        flex-direction: column;
     }

     #class_end_time
     {
         width: 155px;
     }
     #aside
     {
        display: table !important;
     }
     #location_id, #title, #datepicker, #timezone, #myTags{
       width: 330px !important;
     }
     /* #schedule_class
     {
         margin-left: 8rem !important;
     } */
    }
     @media(max-width: 425px){
     #myTags{
        width: 335px !important;
     }
     /* #schedule_class
     {
         margin-left: 4rem !important;
     } */
     }

</style>
     <link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" />
 
    <link rel="stylesheet" type="text/css" href="administrator/components/com_virtualclassroom/assets/css/jquery.timepicker.css">
  
    <link rel="stylesheet" href="administrator/components/com_virtualclassroom/assets/css/jquery-ui.css">
    <script src="administrator/components/com_virtualclassroom/assets/js/jquery-ui.js"></script>  
      <script src="<?php echo JURI::root()?>components/com_virtualclassroom/assets/js/tag-it.js"></script>
    <script src="administrator/components/com_virtualclassroom/assets/js/jquery.timepicker.js"></script>
        <link rel="stylesheet" href="<?php echo JURI::root()?>components/com_virtualclassroom/assets/css/jquery.tagit.css">
    


    <script type="text/javascript">

    function setweekday(el) {

        
        if(! jQuery(el).parent('label').closest(".active").length ) {
                jQuery(el).parent('label').addClass('active');
        }else{
                jQuery(el).parent('label').removeClass('active');
        }
    }

    
jQuery(document).ready(function () {
    jQuery("#myTags").tagit({
            singleField: true,
            singleFieldNode: jQuery('#keyword')
        });

    jQuery('#schedule_class').on("click", function() {
         var current_date = jQuery.datepicker.formatDate('yy-mm-dd', new Date());
                var date = jQuery("#datepicker").val();
                var title = jQuery("#title").val();
                var class_start_time = jQuery("#class_start_time").val();
                 var class_end_time = jQuery("#class_end_time").val();
                 var seat_attendees = jQuery("#seat_attendees").val();
                 var max_seat_attendees = jQuery("#max_seat_attendees").val();
                 
                 
                if(title == ""){
                    jQuery("#title").addClass("error2");
                    return false;
                }else{
                    jQuery("#title").removeClass("error2");
                }

                if(current_date>date){
                    jQuery("#datepicker").addClass("error2");
                    return false;
                }else{
                    jQuery("#datepicker").removeClass("error2");
                }

                if(class_start_time == ""){
                    jQuery("#class_start_time").addClass("error2");
                    return false;
                }else{
                    jQuery("#class_start_time").removeClass("error2");
                }
                
                if(class_end_time == ""){
                    jQuery("#class_end_time").addClass("error2");
                    return false;
                }else{
                    jQuery("#class_end_time").removeClass("error2");
                }
                
                if(parseInt(seat_attendees) > parseInt(max_seat_attendees)){
                    jQuery("#seat_attendees").addClass("error2");
                    return false;
                }else{
                    jQuery("#seat_attendees").removeClass("error2");      
                }

                    jQuery( "#adminForm_schedule" ).submit();
    });
    jQuery("#allow_change_language_1").click(function() {
            jQuery("#force_language").hide("slow");
    });
    jQuery("#allow_change_language_2").click(function() {
            jQuery("#force_language").show("slow");
    });
    jQuery(".record_1").click(function() {
            jQuery(".record_auto").show("slow");
             jQuery(".video_delivery").show("slow");
    });
    jQuery(".record_2").click(function() {
            jQuery(".record_auto").hide("slow");
             jQuery(".video_delivery").hide("slow");
    });

    
    jQuery("#repeats").change(function() {
                var repeat = jQuery( "#repeats" ).val();
                if(repeat=='6'){
                    jQuery(".weeklytotaldays").show();  
                }else{
                    jQuery(".weeklytotaldays").hide();
                }
                
        });

        //jQuery("#currency").val()
        //var checked = jQuery("#is_want_recurring_class").is(":checked");
        jQuery(".message" ).addClass("alert alert-danger");
        jQuery(".message" ).removeClass("message");
        jQuery(".system-message dt" ).css("display",'none');
        jQuery("#system-message > dd > ul" ).css("border","0");
        
    jQuery("#is_recurring_yes").click(function() {
        jQuery(".recurring_class").show("slow");
    });

    jQuery("#is_recurring_no").click(function() {
            jQuery(".recurring_class").hide("slow");
    });

    if(document.getElementById('is_recurring_yes').checked){
        jQuery(".recurring_class").show();
    }

    if(document.getElementById('class_type_radio').checked){
        jQuery("#currencycontainer").hide("slow");
    }

    jQuery( "#class_type_radio").click(function() {
        jQuery("#currencycontainer").hide("slow");
    });

    jQuery( "#class_type_radio2").click(function() {
        jQuery("#currencycontainer").show("slow");
    });
});
            </script>
 
 
<div id="result" style="width: 75%; margin-left: 170px;"></div>
<form class="form-horizontal form-validate row-fluid" id="adminForm_schedule" action="" method="post"  enctype="multipart/form-data">

<div class="span12">
 
    <div class="control-group span7">
    <label>Set Location:</label>
    <select class="form-control valid" name="location_id" id="location_id">
    <option value="0" <?php if(@$this ->classdata[0]->isRegion == 0){ echo "selected=true";}?> >Auto select nearest datacenter region</option>
    <?php foreach ($getservers as $key => $server) {
    $server  = (object)$server;
    ?>
    <option value="<?php echo $server->id;?>" <?php if(@$server->free_usage == 1 && $plan->group_id==5){ echo "disabled";} if(@$this ->classdata[0]->isRegion == $server->id){ echo "selected=true";}?>><?php echo $server->name;?></option>
    <?php } ?>
    </select>
    </div>
        <div class="control-group span6">
            <label><?php echo JText::_('SCHEDULE_TITLE');?>:</label>
                <input type="text" placeholder="Title" id="title" name="title" value="<?php if($cid){echo $this ->classdata[0]->title; } else { echo $session_title; } ?>" style="height: 45px !important;">
        </div>
        <div class="control-group span12">
            <label for="date"><?php echo JText::_('SCHEDULE_DATE');?>:</label>
            <input type="text" placeholder="Date - Ex: 2014-09-04" id="datepicker" name="date" value="<?php if($cid){echo $this ->classdata[0]->date;}else{echo $session_date;}?>" style="height: 45px !important;">
            <br>
        </div>
        <div class="control-group span6">
            <label for="from"><?php echo JText::_('SCHEDULE_FROM');?>:</label>
            <input type="text" data-format="hh:mm A" placeholder="From - Ex: 09:50AM" id="class_start_time" name="start_time" value="<?php if($cid){echo $this ->classdata[0]->start_time;}else{echo $session_start_time;}?>"style="height: 45px !important;">
            <br>
         </div>
        <div class="control-group span6">
            <label><?php echo JText::_('SCHEDULE_TO');?>:</label>
            <input type="text" data-format="hh:mm A" placeholder="To - Ex: 10:50AM" id="class_end_time" name="end_time" value="<?php if($cid){echo $this ->classdata[0]->end_time;}else{echo $session_end_time;}?>"style="height: 45px !important;">
            <br>
        </div>

         <?php
        if($cid){
        }else{
            $this ->classdata[0]->timezone = $session_timezone;
          }
        ?>
        <div class="control-group span12">
                <label><?php echo JText::_('SCHEDULE_TIME_ZONE');?>:</label>
                <select name="timezone" id="timezone" class="valid">
                    
                <?php foreach ($timezoneList as $timezone) {  ?>  

                    <option value="<?php echo $timezone['id']; ?>" <?php if($this ->classdata[0]->timezone == $timezone['id']) echo 'selected="selected"';?> title="<?php echo $timezone['label']; ?>"><?php echo $timezone['title']; ?></option>

                <?php } ?>    

                </select>
        </div>


        <?php
        if($cid){

            if($this ->classdata[0]->repeat > 0){
                $is_recurring = 1;
            }else{
                $is_recurring = 0;
            }

        }else{
            $is_recurring = $session_is_recurring;
          }
        ?>
        <div class="span6">
        <div class="control-group">
            <label><?php echo JText::_('SCHEDULE_RECURRING_CLASS');?>:</label>
            <input type="radio" id="is_recurring_yes" name="is_recurring" value="1" <?php if($is_recurring == 1){ ?> checked="checked" <?php } ?>>
            Yes&nbsp; &nbsp;
            <input type="radio" id="is_recurring_no"  name="is_recurring" value="0" <?php if($is_recurring == 0){ ?> checked="checked" <?php } ?> >
            No
        </div>
        <div class="control-group recurring_class">
            <label><?php echo JText::_('SCHEDULE_WHEN_CLASS_REPEATS');?>:</label>
            <select name="repeat" style="display: inline-block;" id="repeats">
            <option value="" >Select when class repeats</option>
            <option value="1" <?php if($this ->classdata[0]->repeat == 1){?> selected="selected" <?php } ?>>Daily (all 7 days)</option>
            <option value="2" <?php if($this ->classdata[0]->repeat == 2){?> selected="selected" <?php } ?>>6 Days(Mon-Sat)</option>
            <option value="3" <?php if($this ->classdata[0]->repeat == 3){?> selected="selected" <?php } ?>>5 Days(Mon-Fri)</option>
            <option value="4" <?php if($this ->classdata[0]->repeat == 4){?> selected="selected" <?php } ?>>Weekly</option>
            <option value="5" <?php if($this ->classdata[0]->repeat == 5){?> selected="selected" <?php } ?>>Once every month</option>

            <option value="6" <?php if($this ->classdata[0]->repeat == 6){?> selected="selected" <?php } ?>>On selected days</option>
            </select>
        </div>


        <?php 
if($this ->classdata[0]->repeat=='6'){
    
    $su_active= "";
    $su_checked= "";
    $mo_active= "";
    $mo_checked= "";
    $tue_active = "";
    $tue_checked = "";
    $wed_active = "";
    $wed_checked = "";
    $thu_active = "";
    $thu_checked = "";
    $fri_active = "";
    $fri_checked = "";
    $sat_active = "";
    $sat_checked = "";

    $this ->classdata[0]->weekdays = explode(',', $this ->classdata[0]->weekdays);
    if(in_array("1", $this ->classdata[0]->weekdays))
    {
        $su_active = "class='active'";
        $su_checked = "checked='checked'";
    }
    if(in_array("2", $this ->classdata[0]->weekdays))
    {
        $mo_active = "class='active'";
        $mo_checked = "checked='checked'";
    }
    if(in_array("3", $this ->classdata[0]->weekdays))
    {
        $tue_active = "class='active'";
        $tue_checked = "checked='checked'";
    }
    if(in_array("4", $this ->classdata[0]->weekdays))
    {
        $wed_active = "class='active'";
        $wed_checked = "checked='checked'";
    }
    if(in_array("5",$this ->classdata[0]->weekdays))
    {
        $thu_active = "class='active'";
        $thu_checked = "checked='checked'";
    }
    if(in_array("6", $this ->classdata[0]->weekdays))
    {
        $fri_active = "class='active'";
        $fri_checked = "checked='checked'";
    }
    if(in_array("7", $this ->classdata[0]->weekdays))
    {
        $sat_active = "class='active'";
        $sat_checked = "checked='checked'";
    }
    ?>
    <style type="text/css">
    .weeklytotaldays{
        display: block;
    }
    </style>
<?php
}
?>


<div class="control-group weeklytotaldays">
                <div class="weekdays_label">
                <label for="su" <?php echo $su_active;?> >
                    <input id="su" onclick="setweekday(this);" name="weekdays[]" type="checkbox" value="1" style="display:none;" <?php echo $su_checked;?> > Sun
                </label>

                <label for="mo" <?php echo $mo_active; ?> >
                    <input id="mo"  onclick="setweekday(this);" name="weekdays[]" type="checkbox" value="2" style="display:none;" <?php echo $mo_checked?> > Mon
                </label>

                <label for="tue" <?php echo $tue_active; ?> >
                    <input id="tue" onclick="setweekday(this);" name="weekdays[]"  type="checkbox" value="3" style="display:none;" <?php echo $tue_checked; ?> > Tue
                </label>

                <label for="wed" <?php echo $wed_active; ?> >
                    <input id="wed" onclick="setweekday(this);" name="weekdays[]" type="checkbox" value="4" style="display:none;" <?php echo $wed_checked; ?> > Wed
                </label>

                <label for="thu" <?php echo $thu_active; ?> >
                    <input id="thu"  onclick="setweekday(this);" name="weekdays[]" type="checkbox" value="5" style="display:none;" <?php echo $thu_checked; ?> > Thu
                </label>

                <label for="fri" <?php echo $fri_active; ?>>
                    <input id="fri"  onclick="setweekday(this);" name="weekdays[]"  type="checkbox" value="6" style="display:none;" <?php echo $fri_checked; ?> > Fri
                </label>

                <label for="sat" <?php echo $sat_active; ?>>
                    <input id="sat"  onclick="setweekday(this);" name="weekdays[]"  type="checkbox" value="7" style="display:none;" <?php echo $sat_checked; ?> > Sat
                </label>
                </div>
             </div> 

        <?php

        if($cid){
            $recurring_enddate = $this ->classdata[0]->end_date ;

        }else{
            $recurring_enddate = $session_end_date;
          }

          if($cid){
            $end_classes_count = $this ->classdata[0]->end_classes_count ;

        }else{
            $end_classes_count = $session_end_classes_count;
          }

        ?>
        <div class="control-group recurring_class">
        <label><?php echo JText::_('SCHEDULE_ENDS');?>:</label>
                    <span style="padding-bottom: 8px; cursor: pointer;float:left" class="radio1 inline">
                    <input type="radio" class="validate-recurring required error" name="afterclasses" id="optionsRadios1" value="0" <?php if($end_classes_count){ ?> checked="checked" <?php } ?>>
                    <?php echo JText::_('SCHEDULE_AFTER');?>&nbsp;
                    </span>
                <div class="input-append">
                    <input type="text" class="span3" value="<?php echo $end_classes_count;?>" name="end_classes_count" id="recurring_endclasses" >
                    <span class="add-on">Classes</span> (or)
                 </div>
                <br><br>
                <div>
                    <input type="radio" class="validate-recurring required error" name="afterclasses" id="optionsRadios2" value="1" <?php if($recurring_enddate && !$end_classes_count){ ?> checked="checked" <?php } ?>>
                        <?php echo JText::_('SCHEDULE_ENDS_ON');?>
                    &nbsp;
                <span>
                     <input type="text" class="span4"   name="end_date" id="recurring_enddate" value="<?php if($recurring_enddate && !$end_classes_count){ echo $recurring_enddate; } ?>" style="width: 155px;">
                </span>
            </div>
        </div>
        </div>


        <div class="span6">
        <div class="control-group">
            <label>Allow attendees to change interface language:</label>
            <input type="radio" id="allow_change_language_1" name="allow_change_interface_language" value="1" <?php if(!isset($this ->classdata[0]->language) ||  $this ->classdata[0]->language==11 )echo 'checked="checked"'?>>
            Yes&nbsp; &nbsp;
            <input type="radio" id="allow_change_language_2" name="allow_change_interface_language" value="0" <?php if($this ->classdata[0]->language)echo 'checked="checked"'?>>
            No
        </div>
        <?php           
               $langarray = array(1=> 'arabic',2=> 'bosnian',3=> 'bulgarian',4=> 'catalan',5=> 'chinese-simplified',6=> 'chinese-traditional',7=> 'croatian',8=> 'czech',9=> 'danish',10=> 'dutch',11=> 'english',12=> 'estonian',13=> 'finnish',14=> 'french',15=> 'german',16=> 'greek',17=> 'haitian-creole',18=> 'hebrew',19=> 'hindi',20=> 'hmong-daw',21=> 'hungarian',22=> 'indonesian',23=> 'italian',24=> 'japanese',25=> 'kiswahili',26=> 'klingon',27=> 'korean',28=> 'lithuanian',29=> 'malayalam',30=> 'malay',31=> 'maltese',32=> 'norwegian-bokma',33=> 'persian',34=> 'polish',35=> 'portuguese',36=> 'romanian',37=> 'russian',38=> 'serbian',39=> 'slovak',40=> 'slovenian',41=> 'spanish',42=> 'swedish',43=> 'tamil',44=> 'telugu',45=> 'thai',46=> 'turkish',47=> 'ukrainian',48=> 'urdu',49=> 'vietnamese',50=> 'welsh');
               ?>


        <div class="control-group" style="clear:both;<?php echo  $this ->classdata[0]->language ? 'display:block;' : 'display:none'; ?>" id="force_language">
                    <label>Force Interface Language:</label>
                        <select class="in-selection required form-control" id="language" name="language">
                    <?php
                     foreach($langarray as $key=>$val){
                         
                         ?>
                         <option value="<?php echo $key;?>" <?php if($key == @$this ->classdata[0]->language || (!$this ->classdata[0]->language && $key==11 )){echo "selected";} ?> ><?php echo $val;?></option>
                         <?php
                     
                     } ?>
                     
                </select>
                <br />
                <br />
                    
        </div>
        </div>    
         <?php

        if($cid){
            $record = $this ->classdata[0]->record ;

        }else{
            $record = $session_record;
        }
        ?>
        <div class="span12">    
         <div class="control-group">
            <label>Record this class:</label>
            <input type="radio" class="record_1" name="record" value="1" <?php if($record == 1 || $record == 2 || $record == 3)echo 'checked="checked"'?>>
            Yes&nbsp; &nbsp;
            <input type="radio" class="record_2" name="record" value="0" <?php if($record == 0 || !isset($record))echo 'checked="checked"'?>>
            No
        </div>

        <div class="control-group record_auto" style="<?php if($record == 0 || !isset($record))echo 'display: none;'?>">
            <label>Recorded videos layout :</label>
            <select class="in-selection required form-control" id="isRecordingLayout" name="isRecordingLayout">
                <option value="0" <?php if($this ->classdata[0]->isRecordingLayout==0 || (!$this ->classdata[0]->isRecordingLayout)){echo "selected";} ?> >Standard view (Whiteboard, Videos and Chat view with no icons)</option>
                <option value="1" <?php if($this ->classdata[0]->isRecordingLayout==1){echo "selected";} ?> > Enhanced view (Entire browser tab with all the icons)</option>
            </select>
        </div>
        
        <div class="control-group record_auto" style="<?php if($record == 0 || !isset($record))echo 'display: none;'?>">
            <label>Start recording automatically when class starts:</label>
            <input type="radio" name="start_recording_auto" value="2" <?php echo $record == 2 ? 'checked="checked"' : ''; ?>>
                    Yes&nbsp; &nbsp;    
                 
                    <input type="radio" name="start_recording_auto" value="1" <?php echo $record != 2 ? 'checked="checked"' : ''; ?>>
                    No
        </div>
        
        <div class="control-group video_delivery" style="<?php if($record == 0 || !isset($record))echo 'display: none;'?>">
            <label>Allow instructor to control recording:</label>
            <input type="radio" name="isControlRecording" value="1" <?php echo !isset($record) || $record != 3 || $record=="" ? 'checked="checked"' : ''; ?>>
                    Yes&nbsp; &nbsp;    
                 
                    <input type="radio" name="isControlRecording" value="0" <?php echo $record == 3 ? 'checked="checked"' : ''; ?>>
                    No
        </div>

         <div class="control-group video_delivery" style="<?php if($record == 0 || !isset($record))echo 'display: none;'?>">
            <label>Video delivery:</label>
            <input type="radio" name="isVideo" value="0" <?php echo $this ->classdata[0]->isVideo == 0 ? 'checked="checked"' : ''; ?>>
                    Multiple video files&nbsp; &nbsp;&nbsp; &nbsp;    
                 
                    <input type="radio" name="isVideo" value="1" <?php echo !isset($this ->classdata[0]->isVideo) || $this ->classdata[0]->isVideo == 1 ? 'checked="checked"' : ''; ?>>
                    Single video file
        </div>
        </div>

        <div class="control-group span12">
            <label class="span1 hasTip" title="Record Class">Description</label>
            <div class="controls span12">
              <?php 
              $description="";
                if($this ->classdata[0]->description){
                    $description = $this ->classdata[0]->description;
                }
                    $editor =JFactory::getEditor();
                        $params = array( 'smilies'=> '0' ,
                                         'style'  => '1' , 
                                         'layer'  => '0' ,
                                         'table'  => '0' ,
                                         'clear_entities'=>'0'
                                         );
echo $editor->display( 'description', $description, '400', '400', '20', '20', FALSE, null, null, null,$params);; ?>
            </div>
        </div>
         <div class="control-group span12" style="float: left !important;">
            <label>Classroom type:</label>
            <input type="radio" class="required" name="classroom_type" id="classroom_typeyes" value="0" <?php echo !isset($this ->classdata[0]) && $this ->classdata[0]->isBoard == 0 ? 'checked="checked"' : ''; ?>  checked> whiteboard + audio/video + attendee list + chat&nbsp; &nbsp;  <br>
            <input type="radio"  class="required" name="classroom_type" id="classroom_typeno" value="1" <?php echo isset($this ->classdata[0]) && $this ->classdata[0]->isBoard == 1 ? 'checked="checked"' : ''; ?> >
                   whiteboard + attendee list&nbsp; &nbsp; <br>
            <input type="radio"  class="required" name="classroom_type" id="classroom_typeno" value="2" <?php echo isset($this ->classdata[0]) && $this ->classdata[0]->isBoard ==2 ? 'checked="checked"' : ''; ?> >
                     whiteboard + attendee list + chat         <br>
        </div>

        <div class="control-group span6">
            <label>Enable webcam and microphone upon entry:</label>
                <input type="radio" name="isCorporate" value="0" <?php echo $this ->classdata[0]->isCorporate == 0 ? 'checked="checked"' : ''; ?>>
                Yes&nbsp; &nbsp;    
                <input type="radio" name="isCorporate" value="1" <?php echo !isset($this ->classdata[0]->isCorporate) || $this ->classdata[0]->isCorporate == 1 ? 'checked="checked"' : ''; ?>>
                No
        </div>
        
        <div class="control-group span6">
            <label>Enable private chat:</label>
                <input type="radio" name="isPrivateChat" value="0" <?php echo !isset($this ->classdata[0]->isPrivateChat) || $this ->classdata[0]->isPrivateChat == 0 ? 'checked="checked"' : ''; ?>>
                Yes&nbsp; &nbsp;    
                <input type="radio" name="isPrivateChat" value="1" <?php echo  $this ->classdata[0]->isPrivateChat == 1 ? 'checked="checked"' : ''; ?>>
                No
        </div>

        <div class="control-group span6">
            <label>Enable screen sharing:</label>
                <input type="radio" name="isScreenshare" value="1" <?php echo $this ->classdata[0]->isScreenshare == 1 ? 'checked="checked"' : ''; ?>>
                Yes&nbsp; &nbsp;    
                <input type="radio" name="isScreenshare" value="0" <?php echo !isset($this ->classdata[0]->isScreenshare) || $this ->classdata[0]->isScreenshare == 0 ? 'checked="checked"' : ''; ?>>
                No
        </div>
         <?php
        if($cid){
            $ispaid = $this ->classdata[0]->ispaid ;

        }else{
            $ispaid = $session_ispaid;
          }
        ?>
        <div class="span6">
        <div class="control-group">
            <label><?php echo JText::_('SCHEDULE_CLASS_TYPE');?>:</label>
            <input type="radio" name="ispaid" id="class_type_radio" value="0"<?php if($ispaid == 0){ ?> checked="checked" <?php } ?>>
            Free&nbsp; &nbsp;
            <input type="radio" name="ispaid" id="class_type_radio2" value="1" <?php if($ispaid == 1){ ?> checked="checked" <?php } ?>>
            Paid
        </div>

        <div class="control-group" style="margin: 0px;" id="currencycontainer">
                    <label><?php echo JText::_('SCHEDULE_CURRENCY');?></label>
                        <select style="width:100px;" id="currency" name="currency">
                          <option value="aud" <?php if($this ->classdata[0]->currency == 'aud') echo "selected='selected'";?> >AUD <i class="icon-aud"></i></option>
                            <option value="cad" <?php if($this ->classdata[0]->currency == 'cad') echo "selected='selected'";?> >CAD <i class="icon-cad"></i></option>
                            <option value="eur" <?php if($this ->classdata[0]->currency == 'eur') echo "selected='selected'";?> >EUR <i class="icon-eur"></i></option>
                            <option value="gbp" <?php if($this ->classdata[0]->currency == 'gbp') echo "selected='selected'";?> >GBP <i class="icon-gbp"></i></option>
                            <option value="nzd" <?php if($this ->classdata[0]->currency == 'nzd') echo "selected='selected'";?> >NZD <i class="icon-nzd"></i></option>
                            <option value="usd" <?php if($this ->classdata[0]->currency == 'usd' || @$this ->classdata[0]->currency == '') echo "selected='selected'";?> >USD <i class="icon-usd"></i></option>
                        </select>&nbsp;<span id="cursym" style="float:none; margin-top:3px;"></span>
                <br />
                <br />
                    
        </div>
        </div>
         <?php
            if(!$cid){
               $this ->classdata[0]->date = $session_date;
            }
        ?>

        <div class="control-group span6">
            <label><?php echo JText::_('SCHEDULE_MAX_ATTENDEES');?>:</label>
            <input type="text" placeholder="Max. attendees" id="seat_attendees" name="seat_attendees" value="<?php echo isset($this ->classdata[0]->seat_attendees) ? $this ->classdata[0]->seat_attendees : $this->getplan->max_attendees; ?>"style="height: 45px !important;width: 95px !important;">
            <input type="hidden" id="max_seat_attendees" value="<?php echo $this->getplan->max_attendees; ?>">
        </div>
        <div class="control-group span12">
                <label class="span1 hasTip"  title="Max. attendees" style="width: 85px;">Keywords :</label>
                <ul id="myTags"style="height: 45px !important; width: 666px;"></ul>
            <input type="hidden" placeholder="Keywords" id="keyword" name="keyword" value="<?php echo isset($this ->classdata[0]->keyword) ? @$this ->classdata[0]->keyword : @$this ->classdata[0]->keyword; ?>">
            <label class="text-info">(Maximum 3 keywords seperated by a comma)</label>
        </div>
        <div class="control-group span12">
        <?php 
        if(!isset($this ->classdata[0]->created_by)){
            $this ->classdata[0]->created_by = $user->id;
        }
        ?>
        
        <input type="hidden" name="created_by"  id="created_by"  value="<?php echo $this ->classdata[0]->created_by;?>" />
        <input type="hidden" name="instructor_id"  id="instructor_id"  value="<?php echo $this ->classdata[0]->instructor_id;?>" />    
        <input type="hidden" id="cid" name="cid" value="<?php echo $cid?>"/>
        <input type="hidden" name="option" value="com_virtualclassroom"/>
        <input type="hidden" name="view" value="schedule"/>
        <input type="hidden" id="task" name="task" value="saveschedule"/>
        <input type="submit" class="btn btn-primary" id="schedule_class" name="submit" value="Save" />
        </div>


</div>
    </form>


    <script type="text/javascript">


    jQuery(function() {
        jQuery( "#datepicker" ).datepicker();
            jQuery( "#datepicker" ).datepicker( "option", "dateFormat", "yy-mm-dd" );
            jQuery("#datepicker").datepicker("setDate", '<?php echo $this ->classdata[0]->date;?>');
        });
    jQuery(function() {
        jQuery( "#recurring_enddate" ).datepicker();

            jQuery( "#recurring_enddate" ).datepicker( "option", "dateFormat", "yy-mm-dd" );

            <?php if(!$end_classes_count){ ?>

                jQuery("#recurring_enddate").datepicker("setDate", '<?php echo $recurring_enddate;?>');
            <?php } ?>

        });


    jQuery('#class_start_time').timepicker({ 'scrollDefault': 'now' });
    jQuery('#class_end_time').timepicker({ 'scrollDefault': 'now' });

</script>
<style type="text/css">
#mceu_81 {
    display: none;
}
div#mceu_78 {
    border-right-width: 1px !important;
}

</style>