<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.helper');
include_once(JPATH_COMPONENT."/helpers/bcvc.php");
class virtualclassroomController extends JControllerLegacy
{
    /**
     * Method to display a view.
     *
     * @param   boolean         $cachable   If true, the view output will be cached
     * @param   array           $urlparams  An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
     *
     * @return  JController     This object to support chaining.
     * @since   1.5
     */
    public function display($cachable = false, $urlparams = false)
    {

        require_once JPATH_COMPONENT.'/helpers/bcvc.php';

        $view       = JFactory::getApplication()->input->getCmd('view', 'dashboard');
        JFactory::getApplication()->input->set('view', $view);
        $task       = JFactory::getApplication()->input->getCmd('task', '');

        if($task == 'schedule'){
            $this->saveschedule();
        }
        if($task == 'createprice'){
            $this->savesprice();
        }
         if($task == 'creatediscount'){
            $this->savediscount();
        }
        if($task == 'unpublishclass'){
            $this->unpublishclass();
        }
        if($task == 'unpublishuser'){
            $this->unpublishuser();
        }
        if($task == 'publishuser'){
            $this->publishuser();
        }
        
        if($task == 'setpermission'){
            $this->savepermission();
        }
        
        
        

        parent::display($cachable, $urlparams);

        return $this;
    }
     
     
      public function unpublishuser(){
        $data = $_REQUEST;
        $db = & JFactory::getDBO();
        $query = $db->getQuery(true);
        foreach ($data['cid'] as $key => $value) {

            $query="select id from #__virtualclassroom_teacher where user_id='".$value."' ";
            $db->setQuery($query);
            $tchr_id=$db->loadResult();
            if($tchr_id){
            $qry="update #__virtualclassroom_teacher set is_teacher='0' where user_id='".$value."' ";
            }else{
            $qry="insert into #__virtualclassroom_teacher (user_id,is_teacher) values ('".$value."',0)";
            }
            $db->setQuery($qry);
            $db->query(); 
        }
        $app = JFactory::getApplication();
        $msg = "Remove User successfully";
        $app -> redirect('index.php?option=com_virtualclassroom&view=teacher',$msg);
        }
      public function publishuser(){
        $data = $_REQUEST;
        $db = & JFactory::getDBO();
        $query = $db->getQuery(true);
        foreach ($data['cid'] as $key => $value) {

            $query="select id from #__virtualclassroom_teacher where user_id='".$value."' ";
            $db->setQuery($query);
            $tchr_id=$db->loadResult();
            if($tchr_id){
            $qry="update #__virtualclassroom_teacher set is_teacher='1' where user_id='".$value."' ";
            }else{
            $qry="insert into #__virtualclassroom_teacher (user_id,is_teacher) values ('".$value."',1)";
            }
            $db->setQuery($qry);
            $db->query(); 
        }
        $app = JFactory::getApplication();
        $msg = "Add User successfully";
        $app -> redirect('index.php?option=com_virtualclassroom&view=teacher',$msg);

      }        

      public function publishclass(){
         $temp = 0;
         $data = $_REQUEST;
        foreach ($data['cid'] as $key => $value) {

        $data1['task'] = 'publishclass';
        $data1['class_id'] = $value;
        $bcvchelper_class = new bcvcHelper(); 
        $result_data = (object)$bcvchelper_class->vlcr_get_curl_info($data1);
        if(strtolower($result_data->status) == 'ok'){
            $app = JFactory::getApplication();
            $msg = "Class publish successfully";
            $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);
        }
     }
         
    }
     public function unpublishclass(){
         $temp = 0;
         $data = $_REQUEST;
        foreach ($data['cid'] as $key => $value) {

        $data1['task'] = 'unpublishclass';
        $data1['class_id'] = $value;
        $bcvchelper_class = new bcvcHelper();
        $result_data = (object)$bcvchelper_class->vlcr_get_curl_info($data1);
        if(strtolower($result_data->status) == 'ok'){
            $app = JFactory::getApplication();
            $msg = "Class unpublish successfully";
            $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);
        }
     }
         
    }
     public function savediscount(){
         
        $data = $_REQUEST;
         
        $data['task'] = 'addSpecials';
        unset($data['view']);
        unset($data['option']);
        $bcvchelper_class = new bcvcHelper();
        $result_data = (object)$bcvchelper_class->vlcr_get_curl_info($data);
        if(strtolower($result_data->status) == 'error'){
            $session = JFactory::getSession();
            
            $session->set('discount_type',$data['discount_type']);
            $session->set('discount_code',$data['discount_code']);
            $session->set('discount_limit',$data['discount_limit']);
            $session->set('end_date',$data['end_date']);
            $session->set('start_date',$data['start_date']);
            $session->set('discount',$data['discount']);
            
            

            $app = JFactory::getApplication();
            $msg = $result_data->error;
            $app -> redirect('index.php?option=com_virtualclassroom&view=adddiscount&layout=edit&class_id='.$data['class_id'],$msg);
        }
        
        if(strtolower($result_data->status) == 'ok'){
            
            $app = JFactory::getApplication();
            $msg = "Discount added successfully";
            $app -> redirect('index.php?option=com_virtualclassroom&view=listdiscount&class_id='.$data['class_id'],$msg);
        }
         
         
    }
    public function savesprice(){
         
        $data = $_REQUEST;
        $data['task'] = 'addSchemes';
        unset($data['view']);
        unset($data['option']);
        $bcvchelper_class = new bcvcHelper();
        $result_data = (object)$bcvchelper_class->vlcr_get_curl_info($data);
        if($result_data->status == 'error'){
            $session = JFactory::getSession();
            $session->set('error', $result_data->status);
            $session->set('price', $data['price']);
            $session->set('scheme_days', $data['scheme_days']);
            $session->set('times', $data['times']);
            $session->set('numbertimes', $data['numbertimes']);

            $app = JFactory::getApplication();
            $msg = $result_data->error;
            $app -> redirect('index.php?option=com_virtualclassroom&view=addprice&layout=edit&class_id='.$data['class_id'],$msg);
        }
        
        if(strtolower($result_data->status) == 'ok'){
            
            $app = JFactory::getApplication();
            $msg = "Price added successfully";
            $app -> redirect('index.php?option=com_virtualclassroom&view=listprice&class_id='.$data['class_id'],$msg);
        }
         
         
    }
    public function saveschedule(){

        $data = $_REQUEST;

        $data['task'] = 'schedule';
        $data['weekdays'] = implode(',', $data['weekdays']);

        if($data['record'] == '1' && $data['start_recording_auto'] == '2'){
            $data['record'] = '2';
        }

        if(($data['record'] == '1' || $data['record']==2) && $data['isControlRecording'] == '0'){
            $data['record'] = '3';
        }

        if($data['allow_change_interface_language']==0){
            $data['isLang']=$data['language'];
        }else{
            $data['isLang']=11;
        }


        if($data['location_id']){
            $data['isRegion'] = $data['location_id'] ;
        }

        if($data['location']){
            $data['isRegion'] = $data['location'] ;
        }   

        $data['isBoard']=$data['classroom_type'];
        $data['description']=base64_encode($data['description']);        
        unset($data['location_id']);
        unset($data['location']);
        unset($data['start_recording_auto']);
        unset($data['allow_change_interface_language']);
        unset($data['classroom_type']);
        unset($data['language']);


        unset($data['view']);
        unset($data['option']);
        $bcvchelper_class = new bcvcHelper();
        $result_data = (object)$bcvchelper_class->vlcr_get_curl_info($data); 
        
        if($result_data->status == 'error'){
            $session = JFactory::getSession();
            $session->set('error', $result_data->status);
            $session->set('title', $data['title']);
            $session->set('date', $data['date']);
            $session->set('start_time', $data['start_time']);
            $session->set('end_time', $data['end_time']);
            $session->set('description', $data['description']);
            $session->set('is_recurring', $data['is_recurring']);
            $session->set('timezone',$data['timezone']);
            $session->set('repeat',$data['repeat']);
            $session->set('end_classes_count',$data['end_classes_count']);
            $session->set('end_date',$data['end_date']);
            $session->set('record',$data['record']);
            $session->set('ispaid',$data['ispaid']);
             $session->set('seat_attendees',$data['seat_attendees']);
            
            $input = JFactory::getApplication()->input;
            
            $app = JFactory::getApplication();
            $msg = $result_data->error;
            $app -> redirect('index.php?option=com_virtualclassroom&view=schedule&cid='.$data['cid'].'&layout=edit',$msg);
        }
        
        if(strtolower($result_data->status) == 'ok'){
            
            $app = JFactory::getApplication();
            $msg = "Class added successfully";
            $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);
        }
         
         
    }
    public function savepermission(){
        $data = JRequest::get('post');
        $class_id = implode(',', $data['class_id']);
        $group_id =$data['usergroup'];


        $db = JFactory::getDbo();

        $qq="DELETE FROM `#__virtualclassroom_acl` WHERE group_id = '".$group_id."'";
        $db->setQuery($qq);
        $db->execute();

        $query = $db->getQuery(true);
        $columns = array('group_id', 'class_id');
        $values = array($db->quote($group_id), $db->quote($class_id));
        $query
        ->insert($db->quoteName('#__virtualclassroom_acl'))
        ->columns($db->quoteName($columns))
        ->values(implode(',', $values));
        $db->setQuery($query);
        $db->execute();
        $app = JFactory::getApplication();
        $msg = "Set Class permission successfully";
        $app -> redirect('index.php?option=com_virtualclassroom&view=permissions',$msg);
       
    }

        function vlcr_get_selected_class(){
        
        $gid = $_REQUEST['gid'];

        $db = JFactory::getDbo();
        $row = 'SELECT class_id FROM `#__virtualclassroom_acl` WHERE group_id="'.$gid.'"';
        $db->setQuery($row);
        echo $db->loadResult();exit;   

        }

}
