<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

 
class virtualclassroomViewpayment extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
		$this->state		= $this->get('State');
		//$this->items		= $this->get('Items');
		//$this->pagination	= $this->get('Pagination');
		$model = $this -> getModel('payment');

		$this ->listpayment = $model -> Getlistpayment();
		//print_r($this ->listprice);
		//echo '<pre>';print_r($this ->listclass);
		$this ->search    = JRequest::getVar('search');
		$this->addToolbar();
        
        $input = JFactory::getApplication()->input;
        $view = $input->getCmd('view', '');
        bcvcHelper::addSubmenu($view);
        
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{
		require_once JPATH_COMPONENT.'/helpers/bcvc.php';

		$state	= $this->get('State');
		$canDo	= bcvcHelper::getActions($state->get('filter.category_id'));

		JToolBarHelper::title(JText::_('PAYMENT_LIST'), 'discount.png');
		JToolBarHelper::back('Home',"index.php?option=com_virtualclassroom");
        //Check if the form exists before showing the add/edit buttons
        $formPath = JPATH_COMPONENT_ADMINISTRATOR.'/views/schedule';
        if (file_exists($formPath)) {

            if ($canDo->get('core.create')) {
			    //JToolBarHelper::addNew('payment.add','JTOOLBAR_NEW');
		    }

		    if ($canDo->get('core.edit')) {
			   // JToolBarHelper::editList('adddiscount.edit','JTOOLBAR_EDIT');
		    }

        }

		if ($canDo->get('core.edit.state')) {

            if (isset($this->items[0]->state)) {
			    JToolBarHelper::divider();
			    //JToolBarHelper::custom('listdiscount.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
			   // JToolBarHelper::custom('listdiscount.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
            } else if (isset($this->items[0])) {
                //If this component does not use state then show a direct delete button as we can not trash
                JToolBarHelper::deleteList('', 'listdiscount.delete1','JTOOLBAR_DELETE');
            }
 			JToolBarHelper::deleteList('', 'listdiscount.delete1','JTOOLBAR_DELETE');
            if (isset($this->items[0]->state)) {
			   // JToolBarHelper::divider();
			    //JToolBarHelper::archiveList('listdiscount.archive','JTOOLBAR_ARCHIVE');
            }
            if (isset($this->items[0]->checked_out)) {
            	//JToolBarHelper::custom('listdiscount.checkin', 'checkin.png', 'checkin_f2.png', 'JTOOLBAR_CHECKIN', true);
            }
		}
        
        //Show trash and delete for components that uses the state field
        if (isset($this->items[0]->state)) {
		    if ($state->get('filter.state') == -2 && $canDo->get('core.delete')) {
			    JToolBarHelper::deleteList('', 'listdiscount.delete','JTOOLBAR_EMPTY_TRASH');
			    JToolBarHelper::divider();
		    } else if ($canDo->get('core.edit.state')) {
			    JToolBarHelper::trash('listdiscount.trash','JTOOLBAR_TRASH');
			    JToolBarHelper::divider();
		    }
        }

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_virtualclassroom');
		}


	}
}
