<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website     https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_virtualclassroom/assets/css/virtualclassroom.css');

$model =  $this->getModel(); 

$groups =$model->usergrouplist();
$classlist=$model->listclass();

?>

<?php  if(JVERSION < 3) {?> 
    <link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap.min.css" /> 
    <?php } ?> 
    <link rel="stylesheet" href="components/com_virtualclassroom/assets/css/jquery-ui.css">
    <script src="components/com_virtualclassroom/assets/js/jquery-ui.js"></script>  
     
     
   <script type="text/javascript">
    window.addEvent('domready', function(){
        Joomla.submitbutton=function(a){
            

            if(a == 'setpermission.cancel1'){
                window.location.href = 'index.php?option=com_virtualclassroom';
                }
            if(a == 'setpermission.apply1' || a == 'setpermission.save'){
               jQuery( "#adminForm" ).submit();
            }
            
           
        };
    });

    </script> 

<form class="form-horizontal form-validate" id="adminForm" action="index.php?option=com_virtualclassroom&task=setpermission" method="post"  enctype="multipart/form-data">
         
       
        <div class="control-group usergrouplist">
            <label style="width: 15%;float: left;line-height: 28px;" for="title"  title="<?php echo JText::_('SELECT_USER_GROUP');?>"><b><?php echo JText::_('SELECT_USER_GROUP');?>:</b></label>
            <div class="controls">
                <select name="usergroup" id="usergroup">
                <?php foreach($groups as $group){  ?>
                    <option value='<?php echo $group->id;?>'><?php echo $group->title;?></option>
                <?php } ?>
                </select>
            </div>
        </div> 

        <div class="control-group pclass-list">
           
            <div class="controls">
                    <?php  foreach($classlist['classes'] as $key => $class){ ?>
                    <div style="padding: 8px;line-height: 18px;text-align: left;vertical-align: top;border-top: 1px solid #ddd;" >
                    <input type='checkbox' name='class_id[]' class="classchk classid-<?php echo $class['id'];?>" value="<?php echo $class['id'];?>" />
                    <?php echo $class['title'];?>
                    </div>
                    <?php  } ?>
             
            </div>
        </div> 
       
        
         <input type="hidden" id="task" name="task" value="setpermission"/>
        
    </form>
    <script type="text/javascript">
  
jQuery( document ).ready(function() {
 var gid =jQuery("#usergroup").val();


 jQuery.ajax({
      type: "POST",
      url: "<?php JURI::root();?>index.php?option=com_virtualclassroom&task=vlcr_get_selected_class",
      data: {gid: gid},
   
      success: function(response){
        var cidArray = response.split(',');
          jQuery('.classchk').prop('checked', false);
          jQuery.each(cidArray, function(index, value) { 
                jQuery('.classid-'+value).prop('checked', true);
            });
      }
});
   
  
jQuery("#usergroup").change(function(){
    
   var gid =jQuery("#usergroup").val();
   jQuery.ajax({
      type: "POST",
      url: "<?php JURI::root();?>index.php?option=com_virtualclassroom&task=vlcr_get_selected_class",
      data: {gid: gid},
      
      success: function(response){
        var cidArray = response.split(',');
          jQuery('.classchk').prop('checked', false);
          jQuery.each(cidArray, function(index, value) { 
                jQuery('.classid-'+value).prop('checked', true);
            });
      }
    });
     
    });
});
</script>