<?php

/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
 
defined('_JEXEC') or die;

jimport('joomla.application.component.modellist');

jimport('joomla.application.component.helper');
 
class virtualclassroomModellistdiscount extends JModelList {

    /**
     * Constructor.
     *
     * @param    array    An optional associative array of configuration settings.
     * @see        JController
     * @since    1.6
     */
    public function __construct($config = array()) {
         parent::__construct($config);
    }
        public function delete(){
            $app = JFactory::getApplication();

            $user = JFactory::getUser();
            $isroot = $user->authorise('core.admin');
            $isteacher = virtualclassroomHelper::isteacher();
            $classdetail = virtualclassroomHelper::classdetail($data['class_id']);
            if ($user->guest || ($isteacher==0 && $isroot==0)) {
                $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
            }
            $is_access=0;
            if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
                $is_access=1;
            }
            if($is_access==0){
                $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
            }

            $data = $_REQUEST;
            $data1['discountid'] = $data['cid'];
            $data1['task'] = 'removediscount';
            $result = (object)virtualclassroomHelper::vlcr_get_curl_info($data1);
            $data_string = http_build_query($data1);
            if($result->status == 'ok'){
                $msg = "Discount successfully removed";
                $app -> redirect('index.php?option=com_virtualclassroom&view=listdiscount&class_id='.$data['class_id'],$msg);
            }
            if($result->status == 'error'){
                
                $msg = $result->error;
                $app -> redirect('index.php?option=com_virtualclassroom&view=listdiscount&class_id='.$data['class_id'],$msg);
            }
        }

   public function Getlistdiscount(){
     $db = JFactory::getDBO();
        $class_id = JRequest::getVar('class_id');
        $search    = JRequest::getVar('search');
        $data['search'] = $search;
        $data['task'] = 'listdiscount';
        $data['class_id'] = $class_id;
        $result = virtualclassroomHelper::vlcr_get_curl_info($data);
        return $result;
   }
    

}
