<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');

$user = JFactory::getUser(); 
$class_id = JRequest::getVar('class_id');
$cid = JRequest::getVar('cid');
$this->discountdata[0] = (object)$this->discountdata[0];

$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
$classdetail = virtualclassroomHelper::classdetail($class_id);
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}
?>
 
   
<?php  if(JVERSION < 3) {?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" type="text/css" />
<?php } ?>
 
    <link rel="stylesheet" type="text/css" href="administrator/components/com_virtualclassroom/assets/css/jquery.timepicker.css">
    <link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/vlcr_style.css" type="text/css" />
   <link rel="stylesheet" href="administrator/components/com_virtualclassroom/assets/css/jquery-ui.css">
    <script src="administrator/components/com_virtualclassroom/assets/js/jquery-ui.js"></script> 
    <script src="administrator/components/com_virtualclassroom/assets/js/jquery.timepicker.js"></script>
    
  
   <script type="text/javascript">
   <?php if($this->discountdata[0]->is_never_expire == '1'){ ?> 
    jQuery(document).ready(function($) {
      jQuery("#end_date").prop('disabled', 'true');  
    });
    <?php } ?>
   
jQuery(document).ready(function () {
  jQuery("#save_discount").click(function (event){
      var current_date = jQuery.datepicker.formatDate('yy-mm-dd', new Date());
      var start_date = jQuery("#start_date").val();

      var discount = jQuery("#discount").val();
      if(discount == ""){
          jQuery("#discount").addClass("error2");
          return false;
      }else{
          jQuery("#discount").removeClass("error2");
      }

      if(current_date>start_date){
          jQuery("#start_date").addClass("error2");
          return false;
      }else{
          jQuery("#start_date").removeClass("error2");
      }

      jQuery( "#adminForm" ).submit();
  });
    <?php if(@$this->discountdata[0]->discount_type=='percentage'){
      ?>

      if(jQuery( "#coupon-type" ).val() == '1'){
        jQuery("#fixed_amount").css("display", "none");
        jQuery("#percentage").css("display", "inline-block");
        }
    <?php }?>

    jQuery( "#coupon-type" ).change(function() {
      if(jQuery( "#coupon-type" ).val() == '0'){
        jQuery("#fixed_amount").css("display", "inline-block");
        jQuery("#percentage").css("display", "none");
        }

      if(jQuery( "#coupon-type" ).val() == '1'){
        jQuery("#fixed_amount").css("display", "none");
        jQuery("#percentage").css("display", "inline-block");
        }
     });

        jQuery("#coupon-never-expires").click(function (event){
            if(jQuery(this).is(':checked') == true) {
        jQuery('#end_date').attr('disabled', '');
                jQuery('#end_date').val("");
        
        
            } else {
        jQuery('#end_date').removeAttr('disabled');
            }
        });
  jQuery("#use_discount_code").click(function (event){
        if(jQuery(this).is(':checked') == true) {
            jQuery("#use_discount_code_div").css("display", "block");
        } else {
            jQuery("#use_discount_code_div").css("display", "none");
        }
        });
   });
    </script> 
 <style type="text/css">

<?php if($this->discountdata[0]->is_use_discount_code == 0){ ?>
  #use_discount_code_div{ display: none;}
<?php } ?> 
<?php if(!isset($this->discountdata[0]->is_use_discount_code)){ ?>
  #use_discount_code_div{display: block;}
<?php } ?> 
</style>
 <?php 
 $session = JFactory::getSession();
 $session_error = $session->get('error');
 if($session_error == 'error'){

    $session_discount_type = $session->get('discount_type');
    $session_discount_code = $session->get('discount_code');
    $session_discount_limit = $session->get('discount_limit');
    $session_end_date = $session->get('end_date');
    $session_start_date = $session->get('start_date');
    $session_discount = $session->get('discount');
   
}
?>
 
<div id="result" style="width: 75%; margin-left: 170px;"></div>
<form class="form-horizontal form-validate adddiscount" id="adminForm" action="index.php?option=com_virtualclassroom&task=adddiscount" method="post"  enctype="multipart/form-data">
         <div class="add-on after"> 
            <input type="hidden" id="is_use_discount_code_" name="is_use_discount_code"  value="0">
              <input type="checkbox"  id="use_discount_code" value="1" name="is_use_discount_code" <?php if($this->discountdata[0]->is_use_discount_code == 1) {?>checked<?php }else{
          if(!isset($this->discountdata[0]->is_use_discount_code)){ ?>
            checked
         <?php } } ?> /> <?php echo JText::_('USE_DISCOUNT_CODE');?>
            </div> 
            <div style="clear: both;"></div>
            <span id="use_discount_code_div"> 
        <?php 

        if($cid){
             $discount_limit = $this->discountdata[0]->discount_limit;
        }else{
            $discount_limit = @$session_discount_limit;
          }
        ?>
        <div class="control-group">
            <label class="span3 hasTip" for="title"  title="Discount Limit"><?php echo JText::_('ADD_DISCOUNT_LIMIT');?>:</label>
            <div class="controls">
            <input type="text" placeholder="Discount Limit" id="discount_limit" name="discount_limit" value="<?php echo $discount_limit; ?>">
            </div>
        </div> 
         <?php 

        if($cid){
             $discount_code = $this->discountdata[0]->discount_code;
        }else{
            $discount_code = @$session_discount_code;
          }
        ?>
         <div class="control-group">
            <label class="span3 hasTip" for="title"  title="discount_code"><?php echo JText::_('DISCOUNT_CODE');?>:</label>
            <div class="controls">
            <input type="text" placeholder="Discount Code" id="discount_code" name="discount_code" value="<?php echo $discount_code; ?>">
            </div>
        </div>  

      </span>

           <?php 

        if($cid){
             $discount_type = $this->discountdata[0]->discount_type;
        }else{
            $discount_type = @$session_discount_type;
          }

        ?>
        <div class="distype-area">
         <div class="control-group" style="margin-right: 5px;float: left;">
            <label class="span3 hasTip" for="title"  title="discount_type"><?php echo JText::_('DISCOUNT_TYPE');?>:</label>
            <div class="controls">
            <select name="discount_type" class="valid"  id="coupon-type" style="width: 120px">
                <option value="0" <?php if($this ->discountdata[0]->discount_type == "fixed_amount"){?> selected="selected" <?php } ?>><?php echo $this->CurrencySymbol;?> <?php echo strtoupper($this ->getclass[0]['currency']); ?></option>
                <option value="1" <?php if($this ->discountdata[0]->discount_type == "percentage"){?> selected="selected" <?php } ?>>% <?php echo JText::_('PERCENTAGE');?></option>
            </select>
            </div>
        </div>  
        <?php 
             
        if($cid){
             $discount = $this->discountdata[0]->special_price;
        }else{
            $discount = @$session_discount;
          }
           
        ?>
        <div class="control-group">
            <label class="span3 hasTip" for="title"  title="Discount Price" style=" width: 40px; margin-top: 5px; margin-left: 0px;">Take</label>
            <div class="controls" style="margin-left: 35px;">
    <span data-bind="shop | money_symbol" data-showif="discount.isFixed" class="add-on before" id="fixed_amount" style="border-radius: 5px 0px 0px 5px; height: 18px; margin-right: -4px; vertical-align: -1px;"><?php echo $this->CurrencySymbol;?></span>
            <input type="text" placeholder="discount" id="discount" name="discount" value="<?php echo $discount;?>">
             <span data-showif="discount.isPercentage" class="add-on after" style="display:none;border-radius: 0 5px 5px 0; height: 18px; margin-left: -4px; vertical-align: -1px;" id="percentage">%</span>
             off for all orders                             
            </div>
        </div> 
        </div>
        <?php 

        if($cid){
             $start_date = $this->discountdata[0]->start_date;
             if($start_date == "0000-00-00 00:00:00 "){
                $start_date = '';
             }
        }else{
            $start_date = @$session_start_date;
          }
        ?>
         <div class="control-group" style="clear: both;">
            <label class="span3 hasTip" for="title"  title="Start Date"><?php echo JText::_('DISCOUNT_START_DATE');?>:</label>
            <div class="controls">
            <input type="text" placeholder="Start Date" id="start_date" name="start_date" value="<?php echo $start_date;?>">
            <b>(yyyy-mm-dd), Example: { 2014-09-04 }</b>
            </div>
        </div> 
        <?php 
        if($cid){
             $end_date = @$this->discountdata[0]->end_date;
             if($end_date == "0000-00-00 00:00:00 "){
                $end_date = '';
             }
        }else{
            $end_date = @$session_end_date;
          }

        if(@$this->discountdata[0]->is_never_expire == '1'){
              $end_date = '';
        }else{
              $end_date = @$this->discountdata[0]->end_date;
          }

        
        ?>
          <div class="control-group">
            <label class="span3 hasTip" for="title"  title="End Date"><?php echo JText::_('CLASS_END_DATE');?><?php echo JText::_('DISCOUNT');?>:</label>
            <div class="controls">
            <input type="text" placeholder="End Date" id="end_date" name="end_date" value="<?php echo $end_date;?>"  style="vertical-align: top; width: 100px; height: 24px; float: left;">
            <label class="pointer inline fw-normal" for="coupon-never-expires">
                <span class="add-on after"  style="margin-left: -1px;line-height: 34px;border: 1px solid #ccc;padding: 8px;background: #eee;">
                 <input type="hidden" id="is_never_expire_" name="is_never_expire"  value="0">
                  <input type="checkbox" id="coupon-never-expires" value="1" style="vertical-align: -1px;" name="is_never_expire" <?php if($this->discountdata[0]->is_never_expire == '1'){echo 'checked';} ?>> <?php echo JText::_('NEVER_EXPIRES');?>
                </span><b> (yyyy-mm-dd), Example: { 2014-09-04 }</b>
              </label>
            
            </div>
        </div>
          
        
         <input type="hidden" id="task" name="task" value="creatediscount"/>
         <input type="hidden"  name="discountid" value="<?php echo $cid?>"/>
         <input type="hidden"  name="class_id" value="<?php echo $class_id?>"/>
         <input type="hidden"  name="option" value="com_virtualclassroom"/>
         <input type="hidden"  name="view" value="adddiscount"/>
         <button class="btn btn-primary" id="save_discount">Save</button>
    </form>
 

 

    <script type="text/javascript">

  
    jQuery(function() {
            jQuery( "#start_date" ).datepicker();
            jQuery( "#start_date" ).datepicker( "option", "dateFormat", "yy-mm-dd" );
            jQuery("#start_date").datepicker("setDate", '<?php echo $start_date;?>');
 });
    jQuery(function() {
            jQuery( "#end_date" ).datepicker();
            jQuery( "#end_date" ).datepicker( "option", "dateFormat", "yy-mm-dd" );
            jQuery("#end_date").datepicker("setDate", '<?php echo $end_date;?>');
             });
       
 
</script>
<style type="text/css">
        .error2{
            border: 2px solid #FF0000 !important;
        }
    </style>