<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class virtualclassroomViewadddiscount extends JViewLegacy
{
	 
	public function display($tpl = null)
	{
		$task = JRequest::getVar('task');
		$cid = JRequest::getVar('cid');
		$class_id = JRequest::getVar('class_id');
		 
		$model = $this -> getModel('adddiscount');
		if($cid){
			$this ->discountdata = $model -> discountdata($cid,$class_id);
		}	
		if($task){
			switch($task) {
			    case "creatediscount":
			       $model->savediscount();
			    break;
			}
		}
		$this ->getclass = $model -> classdata($class_id);

		$this->CurrencySymbol = $this->getCurrencySymbol($this ->getclass[0]['currency']);
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	 function getCurrencySymbol($currency) {
		 
		 switch(strtoupper($currency)){
			 	
				case "GBP":
					  return "£";
					  break;
				case "CAD":
					  return "$";
					  break;
				case "AUD":
					  return "$";
					  break;
				case "EUR":
					  return "€";
					  break;
				default:
					return '$';		
			 
		 }
	}
}
