<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website     https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_virtualclassroom/assets/css/vlcr_style.css');
$class_id = JRequest::getVar('class_id');
$cid = JRequest::getVar('cid');
$this->pricedata[0] = (object)$this->pricedata[0];
$user = JFactory::getUser();
$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
$classdetail = virtualclassroomHelper::classdetail($class_id);
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}

?>

 <link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/virtualclassroom.css" type="text/css" />
  
<?php  if(JVERSION < 3) {?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" type="text/css" />
<?php } ?>
 
   <link rel="stylesheet" href="components/com_virtualclassroom/assets/css/jquery-ui.css">
    <script src="components/com_virtualclassroom/assets/js/jquery-ui.js"></script> 
     
     
   <script type="text/javascript">
  <?php  if($this->pricedata[0]->lifetime==1){?>
        jQuery(document).ready(function($) {
            jQuery("#scheme_days").prop('disabled', true).val('');
        });
  <?php } ?>
jQuery(document).ready(function () {

    jQuery("#save_price").click(function (event){
        var price = jQuery("#price").val();
                if(price == ""){
                    jQuery("#price").addClass("error2");
                    return false;
                }else{
                    jQuery("#price").removeClass("error2");
                }
                var scheme_days = jQuery("#scheme_days").val();
                
                if(jQuery("#lifetime").val() == 0){
                    if(scheme_days == ""){
                        jQuery("#scheme_days").addClass("error2");
                        return false;
                    }else{
                        jQuery("#scheme_days").removeClass("error2");
                    }
                }
               jQuery( "#adminForm" ).submit();

    });

    jQuery("#lifetimechk").click(function (event){
            if(jQuery(this).is(':checked') == false) {
                jQuery('#scheme_days').removeAttr('disabled');
                jQuery('#scheme_days').focus();
                jQuery('#lifetime').val(0);
            } else {
                jQuery('#scheme_days').attr('disabled', 'disabled');
                jQuery('#scheme_days').val("");
                jQuery('#lifetime').val(1);
            }
        });

    if(jQuery('#times').val() == 1){
        jQuery("#numtimes_div").show();
    } 


    jQuery("#times").change(function() {
        if(jQuery('option:selected', this).val() == 1){
            jQuery("#numtimes_div").show("slow");            
        } 
        else{
            jQuery("#numtimes_div").hide("slow");     
        }
    });
        
    
});
    </script> 
    

 <?php 
 $session = JFactory::getSession();
 
 $session_error = $session->get('error');
 if($session_error == 'error'){
     
    $session_price = $session->get('price');
    $session_scheme_days = $session->get('scheme_days');
    $session_times = $session->get('times');
    $session_numbertimes = $session->get('numbertimes');
   
}
?>
<div id="result" style="width: 75%; margin-left: 170px;"></div>
<h3>Add Price</h3>
<form class="form-horizontal form-validate price_form" id="adminForm" action="" method="post"  enctype="multipart/form-data">
         <?php 
        if($cid){
            $price = $this->pricedata[0]->scheme_price;
        }else{
            $price = @$session_price;
          }
        ?>
        <div class="control-group">
            <label class="span3 hasTip" for="title"  title="Price"><?php echo JText::_('PRICE');?>:</label>
            <div class="controls">
            <input type="text" placeholder="price" id="price" name="price" value="<?php echo $price; ?>">
            </div>
        </div> 
         <?php 
        if($cid){
            $scheme_days = $this->pricedata[0]->scheme_days;
        }else{
            $scheme_days = @$session_scheme_days;
          }
        ?>
         <div class="control-group">
            <label  class="span3 hasTip" for="title"  title="Days (To Give Access for)"><?php echo JText::_('ADD_PRICE_DAYS_ACCESS_FOR');?>:</label>
            <div class="controls">
            <input type="text" id="scheme_days" name="scheme_days" value="<?php echo $scheme_days; ?>" style="padding: 4px;vertical-align: top;width: 70px;height: 18px;float: left;">
            <div class="add-on after" style="margin-left: 78px;padding: 4px;width: 72px;border: 1px solid #ccc;background: #ccc;line-height: 16px;">
              <input type="hidden" id="lifetime" name="lifetime"  value="<?php echo $this->pricedata[0]->lifetime;?>">
             <input type="checkbox"  style="vertical-align: -3px;" <?php if(isset($this->pricedata[0]->lifetime) && $this->pricedata[0]->lifetime == '1'){
                            echo "checked='checked' ";
                        } ?> id="lifetimechk" /> <?php echo JText::_('PRICE_LIFETIME');?> 
            </div>
            </div>
        </div>    
         <?php 
        if($cid){
            $times = $this->pricedata[0]->times;
        }else{
            $times = @$session_times;
          }
        ?>
         <div class="control-group">
            <label class="span3 hasTip" for="title"  title="Access type"> <?php echo JText::_('ADD_PRICE_ACCESS_TYPE');?>:</label>
            <div class="controls">
            <select  id="times" name="times">
                <option value="0" id="times_no" <?php if($times == 0){ ?> selected="selected" <?php } ?>><?php echo JText::_('UNLIMITED');?></option>
                <option value="1" id="times_yes" <?php if($times == 1){ ?> selected="selected" <?php } ?>><?php echo JText::_('LIMITED');?></option>
            </select>
            </div>
        </div>   
        <?php 
        if($cid){
            $numbertimes = $this->pricedata[0]->numbertimes;
        }else{
            $numbertimes = @$session_numbertimes;
          }
        ?> 
         <div class="control-group" id="numtimes_div" style="display:none;">
            <label class="span3 hasTip" for="title"  title="Number of Times"><?php echo JText::_('ADD_PRICE_NUMBER_TIMES');?>:</label>
            <div class="controls">
            <input type="text" placeholder="numbertimes" id="numbertimes" name="numbertimes" value="<?php echo $numbertimes;?>">
            </div>
        </div>  
         <input type="hidden"  name="class_id" value="<?php echo $class_id?>"/>
         <input type="hidden"  name="id" value="<?php echo $cid?>"/>
         <input type="hidden"  name="option" value="com_virtualclassroom"/>
         <input type="hidden"  name="view" value="addprice"/>
         <input type="hidden"  name="task" value="savesprice"/>
           
      
         <div class="control-group">
          <div class="controls">
            <button class="btn btn-primary" id="save_price">Save</button>
         </div>
         </div>
    </form>
    <style type="text/css">
        .error2{
            border: 2px solid #FF0000 !important;
        }
    </style>