<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

 
class virtualclassroomViewlistclass extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
    protected $params;

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
	
        $app                = JFactory::getApplication();
        
        $this->state		= $this->get('State');
        $this->items		= $this->get('Items');
        $this->pagination	= $this->get('Pagination');
        $this->params       = $app->getParams('com_virtualclassroom');
        $task = JRequest::getVar('task');
        $model = $this -> getModel('listclass');
         
        if($task == "returnpayment"){
        	$class_id = JRequest::getVar('class_id');
        	$this ->classpayment = $model -> setclasspayment();
        	$url=JRoute::_("index.php?option=com_virtualclassroom&view=listclass&layout=classdetail&id=".$class_id."&Itemid=".$Itemid);
        	$app -> redirect($url);
        }
		$this ->listclass = $model -> Getlistclass();
		$paymentInfo = $model -> get_paymentInfo();
		if($task){
			switch($task){
			    case "class_checkout";
			    	$model -> class_checkout();
			    break;	
			    case "activeclass";
			    	$model -> activeclass();
			    break;
			    case "cancelclass";
			    	$model -> cancelclass();
			    break;
			    case "validatecoupon";
			    	$model -> validatecoupon();
			    	exit;
			    break;
			    	
			    
			}
		} 

		$this ->pagination = $model -> getPagination($this ->listclass['total']);
		//$this ->getclasslaunch = $model -> getclasslaunch();
  
        
        $this->_prepareDocument();
        parent::display($tpl);
	}


	/**
	 * Prepares the document
	 */
	protected function _prepareDocument()
	{
		$app	= JFactory::getApplication();
		$menus	= $app->getMenu();
		$title	= null;

		// Because the application sets a default page title,
		// we need to get it from the menu item itself
		$menu = $menus->getActive();
		if($menu)
		{
			$this->params->def('page_heading', $this->params->get('page_title', $menu->title));
		} else {
			$this->params->def('page_heading', JText::_('COM_MYEVENT_DEFAULT_PAGE_TITLE'));
		}
		$title = $this->params->get('page_title', '');
		if (empty($title)) {
			$title = $app->getCfg('sitename');
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
			$title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
			$title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
		}
		$this->document->setTitle($title);

		if ($this->params->get('menu-meta_description'))
		{
			$this->document->setDescription($this->params->get('menu-meta_description'));
		}

		if ($this->params->get('menu-meta_keywords'))
		{
			$this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		}

		if ($this->params->get('robots'))
		{
			$this->document->setMetadata('robots', $this->params->get('robots'));
		}
	}    
    	
}
