<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', false, true);
 
$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
 

$class_id = JRequest::getVar('class_id');

$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
$classdetail = virtualclassroomHelper::classdetail($class_id);
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}
 
?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/vlcr_style.css" type="text/css" />
<form action="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=recordings'); ?>" method="post" name="adminForm" id="adminForm">
    
    <div class="clr"> </div>
     <table>
    <tr>
      <td width="100%">
            <label class="filter-search-lbl" for="filter_search" style="display: inline-block;vertical-align: middle;">Filter</label>:
            <input type="text" title="Filter by Title" class="text_area" value="<?php echo $this ->search;?>" id="search" name="search" style="margin: 0;vertical-align: middle;">
            <button onclick="this.form.submit();"><?php echo JText::_('GO'); ?></button>
            <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_sectionid').value='-1';this.form.getElementById('catid').value='0';this.form.getElementById('filter_authorid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_('RESET'); ?></button>
      </td>
    </tr>
  </table>
    <table class="adminlist table table-striped">
        <thead>
            <tr>
                <th width="1%">
                    <input type="checkbox" name="checkall-toggle" value="" onclick="Joomla.checkAll(this)" />
                </th>
                <th class="left">
                    <?php echo JText::_('RECORDING_FILE_NAME');?>
                 
                </th>
                <th class="left">
                    <?php echo JText::_('RECORDIN_DATE_CREATED');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('RECORDING_ACTION');?>
                </th>
                
               
            </tr>
        </thead>
        <tfoot>
             
            <tr>
                <td colspan="7">
                    <?php //echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
        <tbody>
            <?php

            $data = $this->recordings;  // print_r($data);

            if(@$data['0']){
            foreach ($data as $i => $item) {
                 
                ?>
                <tr class="row<?php echo $i % 2; ?>">
                    <td class="center">
                        <?php echo JHtml::_('grid.id', $i, $item['id']); ?>
                    </td>
                    <td class="left">
                        <?php if($item['fname']){echo $item['fname'];}else{echo $item['name'];} ?>
                    </td>
                     <td class="left">
                         <?php echo $item['date_recorded']; ?>
                    </td>
                    <td class="left">
                       <a href="<?php echo JURI::base(); ?>index.php?option=com_virtualclassroom&tmpl=component&view=recordings&task=downloadRecord&class_id=<?php echo $class_id;?>&file=<?php echo $item['name'] ?>" >
                        <img alt="Tooltip" src="../administrator/components/com_virtualclassroom/assets/images/download-24.png">
                       </a>
                         <a href="<?php echo JURI::base(); ?>index.php?option=com_virtualclassroom&view=recordings&task=delete&class_id=<?php echo $class_id;?>&cid=<?php echo $item['id'] ?>" >
                        <img alt="Tooltip" src="../administrator/components/com_virtualclassroom/assets/images/trash-16.png" style="margin: 4px;">
                       </a>
                    </td>
                     
                </tr>
            <?php } ?>
            <?php  } ?>
        </tbody>
    </table>

    <div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="class_id" value="<?php echo $class_id; ?>" />
         
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>